var elixir = require('laravel-elixir');

/*
 |--------------------------------------------------------------------------
 | Elixir Asset Management
 |--------------------------------------------------------------------------
 |
 | Elixir provides a clean, fluent API for defining some basic Gulp tasks
 | for your Laravel application. By default, we are compiling the Sass
 | file for our application, as well as publishing vendor resources.
 |
 */

elixir.config.css.minifyCss.pluginOptions = { processImport: false };

elixir(function(mix) {

    mix.sass('app.scss');

    mix.styles([
        'public/assets/bootstrap/css/bootstrap.min.css',
        'public/assets/css/style.css',
        'public/assets/css/laraclassified.css',
        'public/assets/css/fileinput.min.css',
        'public/assets/css/owl.carousel.css',
        'public/assets/css/owl.theme.css',
        'public/assets/css/laraclassified-soft.css'
    ], 'public/css/app.css', './');

    mix.scripts([
        //'',
    ], 'public/js/app.js', './');

    mix.copy('./public/assets/bootstrap/fonts', 'public/bootstrap/fonts');
    mix.copy('./public/assets/fonts', 'public/fonts');

    mix.version([
        'css/app.css',
        'js/app.js'
    ])
});
