<?php
/**
 * LaraClassified - Geo Classified Ads CMS
 * Copyright (c) Mayeul Akpovi. All Rights Reserved
 *
 * Email: mayeul.a@larapen.com
 * Website: http://larapen.com
 *
 * LICENSE
 * -------
 * This software is furnished under a license and may be used and copied
 * only in accordance with the terms of such license and with the inclusion
 * of the above copyright notice. If you Purchased from Codecanyon,
 * Please read the full License from here - http://codecanyon.net/licenses/standard
 */

use Illuminate\Database\Seeder;

class CategoriesTableSeeder extends Seeder
{
    /**
     * Insert data
     *
     * @return void
     */
    public function run()
    {
        \DB::table('categories')->delete();

        \DB::table('categories')->insert(array(
            0   => array(
                'id'               => '1',
                'translation_lang' => 'en',
                'translation_of'   => '1',
                'parent_id'        => '0',
                'name'             => 'Automobiles',
                'slug'             => 'automobiles',
                'description'      => '',
                'picture'          => 'fa-car.png',
                'css_class'        => 'fa fa-car',
                'lft'              => '26',
                'rgt'              => '41',
                'depth'            => '1',
                'type'             => 'classified',
                'active'           => '1',
            ),
            1   => array(
                'id'               => '2',
                'translation_lang' => 'en',
                'translation_of'   => '2',
                'parent_id'        => '1',
                'name'             => 'Auto Parts, Accessories',
                'slug'             => 'auto-parts-accessories',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '29',
                'rgt'              => '30',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            2   => array(
                'id'               => '3',
                'translation_lang' => 'en',
                'translation_of'   => '3',
                'parent_id'        => '1',
                'name'             => 'Car, Motorcycle Rental',
                'slug'             => 'car-motorcycle-rental',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '27',
                'rgt'              => '28',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            3   => array(
                'id'               => '4',
                'translation_lang' => 'en',
                'translation_of'   => '4',
                'parent_id'        => '1',
                'name'             => 'Caravan and Boating',
                'slug'             => 'caravan-and-boating',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '31',
                'rgt'              => '32',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            4   => array(
                'id'               => '5',
                'translation_lang' => 'en',
                'translation_of'   => '5',
                'parent_id'        => '1',
                'name'             => 'Motorcycle parts, Accessories',
                'slug'             => 'motorcycle-parts-accessories',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '33',
                'rgt'              => '34',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            5   => array(
                'id'               => '6',
                'translation_lang' => 'en',
                'translation_of'   => '6',
                'parent_id'        => '1',
                'name'             => 'Motorcycles, Scooters, Quads',
                'slug'             => 'motorcycles-scooters-quads',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '35',
                'rgt'              => '36',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            6   => array(
                'id'               => '7',
                'translation_lang' => 'en',
                'translation_of'   => '7',
                'parent_id'        => '1',
                'name'             => 'Used Cars - New Cars',
                'slug'             => 'used-cars-new-cars',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '37',
                'rgt'              => '38',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            7   => array(
                'id'               => '8',
                'translation_lang' => 'en',
                'translation_of'   => '8',
                'parent_id'        => '1',
                'name'             => 'Utility Vehicles, Machinery',
                'slug'             => 'utility-vehicles-machinery',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '39',
                'rgt'              => '40',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            8   => array(
                'id'               => '9',
                'translation_lang' => 'en',
                'translation_of'   => '9',
                'parent_id'        => '0',
                'name'             => 'Real estate',
                'slug'             => 'real-estate',
                'description'      => null,
                'picture'          => 'fa-home.png',
                'css_class'        => 'icon-home',
                'lft'              => '42',
                'rgt'              => '65',
                'depth'            => '1',
                'type'             => 'classified',
                'active'           => '1',
            ),
            9   => array(
                'id'               => '10',
                'translation_lang' => 'en',
                'translation_of'   => '10',
                'parent_id'        => '9',
                'name'             => 'Commercial Property - Offices - Premises',
                'slug'             => 'commercial-property-offices-premises',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '47',
                'rgt'              => '48',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            10  => array(
                'id'               => '11',
                'translation_lang' => 'en',
                'translation_of'   => '11',
                'parent_id'        => '9',
                'name'             => 'I\'m looking for',
                'slug'             => 'im-looking-for',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '51',
                'rgt'              => '52',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            11  => array(
                'id'               => '12',
                'translation_lang' => 'en',
                'translation_of'   => '12',
                'parent_id'        => '9',
                'name'             => 'Roomates',
                'slug'             => 'roomates',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '53',
                'rgt'              => '54',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            12  => array(
                'id'               => '13',
                'translation_lang' => 'en',
                'translation_of'   => '13',
                'parent_id'        => '9',
                'name'             => 'Accommodation and Hotels',
                'slug'             => 'accommodation-and-hotels',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '55',
                'rgt'              => '56',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            13  => array(
                'id'               => '14',
                'translation_lang' => 'en',
                'translation_of'   => '14',
                'parent_id'        => '9',
                'name'             => 'Vacation Rental',
                'slug'             => 'vacation-rental',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '57',
                'rgt'              => '58',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            14  => array(
                'id'               => '15',
                'translation_lang' => 'en',
                'translation_of'   => '15',
                'parent_id'        => '9',
                'name'             => 'Garage, Parking, Farms',
                'slug'             => 'garage-parking-farms',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '59',
                'rgt'              => '60',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            15  => array(
                'id'               => '16',
                'translation_lang' => 'en',
                'translation_of'   => '16',
                'parent_id'        => '9',
                'name'             => 'Real Estate Services',
                'slug'             => 'real-estate-services',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '61',
                'rgt'              => '62',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            16  => array(
                'id'               => '17',
                'translation_lang' => 'en',
                'translation_of'   => '17',
                'parent_id'        => '9',
                'name'             => 'Rooms - Studio for Rent',
                'slug'             => 'rooms-studio-for-rent',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '63',
                'rgt'              => '64',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            17  => array(
                'id'               => '18',
                'translation_lang' => 'en',
                'translation_of'   => '18',
                'parent_id'        => '9',
                'name'             => 'Land for Sale, Rent',
                'slug'             => 'land-for-sale-rent',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '49',
                'rgt'              => '50',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            18  => array(
                'id'               => '19',
                'translation_lang' => 'en',
                'translation_of'   => '19',
                'parent_id'        => '9',
                'name'             => 'Property for sale',
                'slug'             => 'property-for-sale',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '45',
                'rgt'              => '46',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            19  => array(
                'id'               => '20',
                'translation_lang' => 'en',
                'translation_of'   => '20',
                'parent_id'        => '9',
                'name'             => 'Rentals',
                'slug'             => 'rentals',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '43',
                'rgt'              => '44',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            20  => array(
                'id'               => '21',
                'translation_lang' => 'en',
                'translation_of'   => '21',
                'parent_id'        => '0',
                'name'             => 'Services',
                'slug'             => 'services',
                'description'      => null,
                'picture'          => 'ion-clipboard.png',
                'css_class'        => 'fa fa-briefcase',
                'lft'              => '92',
                'rgt'              => '127',
                'depth'            => '1',
                'type'             => 'service',
                'active'           => '1',
            ),
            21  => array(
                'id'               => '22',
                'translation_lang' => 'en',
                'translation_of'   => '22',
                'parent_id'        => '21',
                'name'             => 'Other services',
                'slug'             => 'other-services',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '111',
                'rgt'              => '112',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            22  => array(
                'id'               => '23',
                'translation_lang' => 'en',
                'translation_of'   => '23',
                'parent_id'        => '21',
                'name'             => 'Casting, Model, Photographer',
                'slug'             => 'casting-model-photographer',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '123',
                'rgt'              => '124',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            23  => array(
                'id'               => '24',
                'translation_lang' => 'en',
                'translation_of'   => '24',
                'parent_id'        => '21',
                'name'             => 'Carpooling',
                'slug'             => 'carpooling',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '121',
                'rgt'              => '122',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            24  => array(
                'id'               => '25',
                'translation_lang' => 'en',
                'translation_of'   => '25',
                'parent_id'        => '21',
                'name'             => 'Moving, Furniture Guard',
                'slug'             => 'moving-furniture-guard',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '119',
                'rgt'              => '120',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            25  => array(
                'id'               => '26',
                'translation_lang' => 'en',
                'translation_of'   => '26',
                'parent_id'        => '21',
                'name'             => 'Destocking - Commercial',
                'slug'             => 'destocking-commercial',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '117',
                'rgt'              => '118',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            26  => array(
                'id'               => '27',
                'translation_lang' => 'en',
                'translation_of'   => '27',
                'parent_id'        => '21',
                'name'             => 'Industrial Equipment',
                'slug'             => 'industrial-equipment',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '115',
                'rgt'              => '116',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            27  => array(
                'id'               => '28',
                'translation_lang' => 'en',
                'translation_of'   => '28',
                'parent_id'        => '21',
                'name'             => 'Aesthetics, Hairstyling',
                'slug'             => 'aesthetics-hairstyling',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '93',
                'rgt'              => '94',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            28  => array(
                'id'               => '29',
                'translation_lang' => 'en',
                'translation_of'   => '29',
                'parent_id'        => '21',
                'name'             => 'Horoscope - Tarot - Healers - Spell',
                'slug'             => 'horoscope-tarot-healers-spell',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '113',
                'rgt'              => '114',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            29  => array(
                'id'               => '30',
                'translation_lang' => 'en',
                'translation_of'   => '30',
                'parent_id'        => '21',
                'name'             => 'Materials and Equipment Pro',
                'slug'             => 'materials-and-equipment-pro',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '109',
                'rgt'              => '110',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            30  => array(
                'id'               => '31',
                'translation_lang' => 'en',
                'translation_of'   => '31',
                'parent_id'        => '21',
                'name'             => 'Event Organization Services',
                'slug'             => 'event-organization-services',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '95',
                'rgt'              => '96',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            31  => array(
                'id'               => '32',
                'translation_lang' => 'en',
                'translation_of'   => '32',
                'parent_id'        => '21',
                'name'             => 'Service Provision',
                'slug'             => 'service-provision',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '107',
                'rgt'              => '108',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            32  => array(
                'id'               => '33',
                'translation_lang' => 'en',
                'translation_of'   => '33',
                'parent_id'        => '21',
                'name'             => 'Health, Beauty',
                'slug'             => 'health-beauty',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '105',
                'rgt'              => '106',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            33  => array(
                'id'               => '34',
                'translation_lang' => 'en',
                'translation_of'   => '34',
                'parent_id'        => '21',
                'name'             => 'Artisan, Troubleshooting, Handyman',
                'slug'             => 'artisan-troubleshooting-handyman',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '103',
                'rgt'              => '104',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            34  => array(
                'id'               => '35',
                'translation_lang' => 'en',
                'translation_of'   => '35',
                'parent_id'        => '21',
                'name'             => 'Computing Services',
                'slug'             => 'computing-services',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '101',
                'rgt'              => '102',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            35  => array(
                'id'               => '36',
                'translation_lang' => 'en',
                'translation_of'   => '36',
                'parent_id'        => '21',
                'name'             => 'Tourism and Travel Services',
                'slug'             => 'tourism-and-travel-services',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '99',
                'rgt'              => '100',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            36  => array(
                'id'               => '37',
                'translation_lang' => 'en',
                'translation_of'   => '37',
                'parent_id'        => '21',
                'name'             => 'Translation, Writing',
                'slug'             => 'translation-writing',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '125',
                'rgt'              => '126',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            37  => array(
                'id'               => '38',
                'translation_lang' => 'en',
                'translation_of'   => '38',
                'parent_id'        => '21',
                'name'             => 'Construction - Renovation - Carpentry',
                'slug'             => 'construction-renovation-carpentry',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '97',
                'rgt'              => '98',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            38  => array(
                'id'               => '39',
                'translation_lang' => 'en',
                'translation_of'   => '39',
                'parent_id'        => '0',
                'name'             => 'Community',
                'slug'             => 'community',
                'description'      => null,
                'picture'          => 'fa-users.png',
                'css_class'        => 'icon-theatre',
                'lft'              => '266',
                'rgt'              => '281',
                'depth'            => '1',
                'type'             => 'classified',
                'active'           => '1',
            ),
            39  => array(
                'id'               => '40',
                'translation_lang' => 'en',
                'translation_of'   => '40',
                'parent_id'        => '39',
                'name'             => 'Sporting goods, Exercise',
                'slug'             => 'sporting-goods-exercise',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '267',
                'rgt'              => '268',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            40  => array(
                'id'               => '41',
                'translation_lang' => 'en',
                'translation_of'   => '41',
                'parent_id'        => '39',
                'name'             => 'Artists, Musicians',
                'slug'             => 'artists-musicians',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '269',
                'rgt'              => '270',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            41  => array(
                'id'               => '42',
                'translation_lang' => 'en',
                'translation_of'   => '42',
                'parent_id'        => '39',
                'name'             => 'Associations, Voluntary',
                'slug'             => 'associations-voluntary',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '271',
                'rgt'              => '272',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            42  => array(
                'id'               => '43',
                'translation_lang' => 'en',
                'translation_of'   => '43',
                'parent_id'        => '39',
                'name'             => 'Friendships for Events',
                'slug'             => 'friendships-for-events',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '273',
                'rgt'              => '274',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            43  => array(
                'id'               => '44',
                'translation_lang' => 'en',
                'translation_of'   => '44',
                'parent_id'        => '39',
                'name'             => 'My neighborhood',
                'slug'             => 'my-neighborhood',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '275',
                'rgt'              => '276',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            44  => array(
                'id'               => '45',
                'translation_lang' => 'en',
                'translation_of'   => '45',
                'parent_id'        => '39',
                'name'             => 'Nightlife, Restaurant & Bar',
                'slug'             => 'nightlife-restaurant-bar',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '277',
                'rgt'              => '278',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            45  => array(
                'id'               => '46',
                'translation_lang' => 'en',
                'translation_of'   => '46',
                'parent_id'        => '39',
                'name'             => 'Outings, Entertainment',
                'slug'             => 'outings-entertainment',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '279',
                'rgt'              => '280',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            46  => array(
                'id'               => '47',
                'translation_lang' => 'en',
                'translation_of'   => '47',
                'parent_id'        => '0',
                'name'             => 'Multimedia',
                'slug'             => 'multimedia',
                'description'      => null,
                'picture'          => 'fa-laptop.png',
                'css_class'        => 'icon-laptop',
                'lft'              => '2',
                'rgt'              => '25',
                'depth'            => '1',
                'type'             => 'classified',
                'active'           => '1',
            ),
            47  => array(
                'id'               => '48',
                'translation_lang' => 'en',
                'translation_of'   => '48',
                'parent_id'        => '47',
                'name'             => 'Multimedia & Phones Accessories',
                'slug'             => 'multimedia-phones-accessories',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '5',
                'rgt'              => '6',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            48  => array(
                'id'               => '49',
                'translation_lang' => 'en',
                'translation_of'   => '49',
                'parent_id'        => '47',
                'name'             => 'CD/DVD - Books - Movies',
                'slug'             => 'cddvd-books-movies',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '7',
                'rgt'              => '8',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            49  => array(
                'id'               => '50',
                'translation_lang' => 'en',
                'translation_of'   => '50',
                'parent_id'        => '47',
                'name'             => 'Consoles - Video Games',
                'slug'             => 'consoles-video-games',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '11',
                'rgt'              => '12',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            50  => array(
                'id'               => '51',
                'translation_lang' => 'en',
                'translation_of'   => '51',
                'parent_id'        => '47',
                'name'             => 'Computers - PC - Office Supplies',
                'slug'             => 'computers-pc-office-supplies',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '13',
                'rgt'              => '14',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            51  => array(
                'id'               => '52',
                'translation_lang' => 'en',
                'translation_of'   => '52',
                'parent_id'        => '47',
                'name'             => 'Wanted',
                'slug'             => 'wanted',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '15',
                'rgt'              => '16',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            52  => array(
                'id'               => '53',
                'translation_lang' => 'en',
                'translation_of'   => '53',
                'parent_id'        => '47',
                'name'             => 'Tablets - Touchscreens',
                'slug'             => 'tablets-touchscreens',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '17',
                'rgt'              => '18',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            53  => array(
                'id'               => '54',
                'translation_lang' => 'en',
                'translation_of'   => '54',
                'parent_id'        => '47',
                'name'             => 'Mobiles phones - Smartphones',
                'slug'             => 'mobiles-phones-smartphones',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '19',
                'rgt'              => '20',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            54  => array(
                'id'               => '55',
                'translation_lang' => 'en',
                'translation_of'   => '55',
                'parent_id'        => '47',
                'name'             => 'TV - Images - Sound',
                'slug'             => 'tv-images-sound',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '21',
                'rgt'              => '22',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            55  => array(
                'id'               => '56',
                'translation_lang' => 'en',
                'translation_of'   => '56',
                'parent_id'        => '47',
                'name'             => 'Clearance - Commercial',
                'slug'             => 'clearance-commercial',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '23',
                'rgt'              => '24',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            56  => array(
                'id'               => '57',
                'translation_lang' => 'en',
                'translation_of'   => '57',
                'parent_id'        => '47',
                'name'             => 'Industrial Equipment',
                'slug'             => 'industrial-equipment',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '9',
                'rgt'              => '10',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            57  => array(
                'id'               => '58',
                'translation_lang' => 'en',
                'translation_of'   => '58',
                'parent_id'        => '47',
                'name'             => 'Materials & Professional equipment',
                'slug'             => 'materials-professional-equipment',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '3',
                'rgt'              => '4',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            58  => array(
                'id'               => '59',
                'translation_lang' => 'en',
                'translation_of'   => '59',
                'parent_id'        => '0',
                'name'             => 'Fashion, Home & Garden',
                'slug'             => 'fashion-home-garden',
                'description'      => null,
                'picture'          => 'fa-home.png',
                'css_class'        => 'icon-basket-1',
                'lft'              => '66',
                'rgt'              => '91',
                'depth'            => '1',
                'type'             => 'classified',
                'active'           => '1',
            ),
            59  => array(
                'id'               => '60',
                'translation_lang' => 'en',
                'translation_of'   => '60',
                'parent_id'        => '59',
                'name'             => 'Furniture - Tableware',
                'slug'             => 'furniture-tableware',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '89',
                'rgt'              => '90',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            60  => array(
                'id'               => '61',
                'translation_lang' => 'en',
                'translation_of'   => '61',
                'parent_id'        => '59',
                'name'             => 'Antiques - Art - Decoration',
                'slug'             => 'antiques-art-decoration',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '69',
                'rgt'              => '70',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            61  => array(
                'id'               => '62',
                'translation_lang' => 'en',
                'translation_of'   => '62',
                'parent_id'        => '59',
                'name'             => 'Appliances',
                'slug'             => 'appliances',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '71',
                'rgt'              => '72',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            62  => array(
                'id'               => '63',
                'translation_lang' => 'en',
                'translation_of'   => '63',
                'parent_id'        => '59',
                'name'             => 'Jewelry - Watches - Luggage',
                'slug'             => 'jewelry-watches-luggage',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '73',
                'rgt'              => '74',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            63  => array(
                'id'               => '64',
                'translation_lang' => 'en',
                'translation_of'   => '64',
                'parent_id'        => '59',
                'name'             => 'DIY - Gardening',
                'slug'             => 'diy-gardening',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '75',
                'rgt'              => '76',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            64  => array(
                'id'               => '65',
                'translation_lang' => 'en',
                'translation_of'   => '65',
                'parent_id'        => '59',
                'name'             => 'Various flea markets',
                'slug'             => 'various-flea-markets',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '77',
                'rgt'              => '78',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            65  => array(
                'id'               => '66',
                'translation_lang' => 'en',
                'translation_of'   => '66',
                'parent_id'        => '59',
                'name'             => 'Shoes',
                'slug'             => 'shoes',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '79',
                'rgt'              => '80',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            66  => array(
                'id'               => '67',
                'translation_lang' => 'en',
                'translation_of'   => '67',
                'parent_id'        => '59',
                'name'             => 'Toys - Games - Figurines',
                'slug'             => 'toys-games-figurines',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '67',
                'rgt'              => '68',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            67  => array(
                'id'               => '68',
                'translation_lang' => 'en',
                'translation_of'   => '68',
                'parent_id'        => '59',
                'name'             => 'Clothing, Fashion & Accessories',
                'slug'             => 'clothing-fashion-accessories',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '81',
                'rgt'              => '82',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            68  => array(
                'id'               => '69',
                'translation_lang' => 'en',
                'translation_of'   => '69',
                'parent_id'        => '59',
                'name'             => 'Stuffs for Baby and Child',
                'slug'             => 'stuffs-for-baby-and-child',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '83',
                'rgt'              => '84',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            69  => array(
                'id'               => '70',
                'translation_lang' => 'en',
                'translation_of'   => '70',
                'parent_id'        => '59',
                'name'             => 'Stuffs for Beauty and Health',
                'slug'             => 'stuffs-for-beauty-and-health',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '85',
                'rgt'              => '86',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            70  => array(
                'id'               => '71',
                'translation_lang' => 'en',
                'translation_of'   => '71',
                'parent_id'        => '59',
                'name'             => 'Wine & Gourmet - Recipes',
                'slug'             => 'wine-gourmet-recipes',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '87',
                'rgt'              => '88',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            71  => array(
                'id'               => '72',
                'translation_lang' => 'en',
                'translation_of'   => '72',
                'parent_id'        => '0',
                'name'             => 'Pets & Mascots',
                'slug'             => 'pets-mascots',
                'description'      => null,
                'picture'          => 'map-icon-pet-store.png',
                'css_class'        => 'icon-guidedog',
                'lft'              => '282',
                'rgt'              => '287',
                'depth'            => '1',
                'type'             => 'classified',
                'active'           => '1',
            ),
            72  => array(
                'id'               => '73',
                'translation_lang' => 'en',
                'translation_of'   => '73',
                'parent_id'        => '72',
                'name'             => 'Accessories - Other Pets services',
                'slug'             => 'accessories-other-pets-services',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '283',
                'rgt'              => '284',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            73  => array(
                'id'               => '74',
                'translation_lang' => 'en',
                'translation_of'   => '74',
                'parent_id'        => '72',
                'name'             => 'Sales, Adoptions, Lost',
                'slug'             => 'sales-adoptions-lost',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '285',
                'rgt'              => '286',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            74  => array(
                'id'               => '75',
                'translation_lang' => 'en',
                'translation_of'   => '75',
                'parent_id'        => '0',
                'name'             => 'Free Dating',
                'slug'             => 'free-dating',
                'description'      => null,
                'picture'          => 'ion-ios-heart.png',
                'css_class'        => 'icon-heart',
                'lft'              => '288',
                'rgt'              => '307',
                'depth'            => '1',
                'type'             => 'classified',
                'active'           => '1',
            ),
            75  => array(
                'id'               => '76',
                'translation_lang' => 'en',
                'translation_of'   => '76',
                'parent_id'        => '75',
                'name'             => 'Friendship - Friends',
                'slug'             => 'friendship-friends',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '305',
                'rgt'              => '306',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            76  => array(
                'id'               => '77',
                'translation_lang' => 'en',
                'translation_of'   => '77',
                'parent_id'        => '75',
                'name'             => 'Escorts - Adult Services',
                'slug'             => 'escorts-adult-services',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '303',
                'rgt'              => '304',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            77  => array(
                'id'               => '78',
                'translation_lang' => 'en',
                'translation_of'   => '78',
                'parent_id'        => '75',
                'name'             => 'Women Seeking Women',
                'slug'             => 'women-seeking-women',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '299',
                'rgt'              => '300',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            78  => array(
                'id'               => '79',
                'translation_lang' => 'en',
                'translation_of'   => '79',
                'parent_id'        => '75',
                'name'             => 'Women Seeking Men',
                'slug'             => 'women-seeking-men',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '301',
                'rgt'              => '302',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            79  => array(
                'id'               => '80',
                'translation_lang' => 'en',
                'translation_of'   => '80',
                'parent_id'        => '75',
                'name'             => 'Men Seeking Women',
                'slug'             => 'men-seeking-women',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '289',
                'rgt'              => '290',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            80  => array(
                'id'               => '81',
                'translation_lang' => 'en',
                'translation_of'   => '81',
                'parent_id'        => '75',
                'name'             => 'Men Seeking Men',
                'slug'             => 'men-seeking-men',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '291',
                'rgt'              => '292',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            81  => array(
                'id'               => '82',
                'translation_lang' => 'en',
                'translation_of'   => '82',
                'parent_id'        => '75',
                'name'             => 'Massage Services - Relaxation',
                'slug'             => 'massage-services-relaxation',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '293',
                'rgt'              => '294',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            82  => array(
                'id'               => '83',
                'translation_lang' => 'en',
                'translation_of'   => '83',
                'parent_id'        => '75',
                'name'             => 'Adults Products - Articles',
                'slug'             => 'adults-products-articles',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '295',
                'rgt'              => '296',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            83  => array(
                'id'               => '84',
                'translation_lang' => 'en',
                'translation_of'   => '84',
                'parent_id'        => '75',
                'name'             => 'Casual Encounter',
                'slug'             => 'casual-encounter',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '297',
                'rgt'              => '298',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            84  => array(
                'id'               => '85',
                'translation_lang' => 'en',
                'translation_of'   => '85',
                'parent_id'        => '0',
                'name'             => 'Jobs Offers',
                'slug'             => 'jobs-offers',
                'description'      => null,
                'picture'          => 'mfglabs-users.png',
                'css_class'        => 'icon-megaphone-1',
                'lft'              => '176',
                'rgt'              => '223',
                'depth'            => '1',
                'type'             => 'job-offer',
                'active'           => '1',
            ),
            85  => array(
                'id'               => '86',
                'translation_lang' => 'en',
                'translation_of'   => '86',
                'parent_id'        => '85',
                'name'             => 'Agriculture - Environment',
                'slug'             => 'agriculture-environment',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '197',
                'rgt'              => '198',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            86  => array(
                'id'               => '87',
                'translation_lang' => 'en',
                'translation_of'   => '87',
                'parent_id'        => '85',
                'name'             => 'Assistantship - Secretariat - Helpdesk',
                'slug'             => 'assistantship-secretariat-helpdesk',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '195',
                'rgt'              => '196',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            87  => array(
                'id'               => '88',
                'translation_lang' => 'en',
                'translation_of'   => '88',
                'parent_id'        => '85',
                'name'             => 'Automotive - Mechanic',
                'slug'             => 'automotive-mechanic',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '191',
                'rgt'              => '192',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            88  => array(
                'id'               => '89',
                'translation_lang' => 'en',
                'translation_of'   => '89',
                'parent_id'        => '85',
                'name'             => 'Others Jobs Offer',
                'slug'             => 'others-jobs-offer',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '189',
                'rgt'              => '190',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            89  => array(
                'id'               => '90',
                'translation_lang' => 'en',
                'translation_of'   => '90',
                'parent_id'        => '85',
                'name'             => 'BTP - Construction - Building',
                'slug'             => 'btp-construction-building',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '187',
                'rgt'              => '188',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            90  => array(
                'id'               => '91',
                'translation_lang' => 'en',
                'translation_of'   => '91',
                'parent_id'        => '85',
                'name'             => 'Trade - Business Services',
                'slug'             => 'trade-business-services',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '185',
                'rgt'              => '186',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            91  => array(
                'id'               => '92',
                'translation_lang' => 'en',
                'translation_of'   => '92',
                'parent_id'        => '85',
                'name'             => 'Commercial - Sale Jobs Offer',
                'slug'             => 'commercial-sale-jobs-offer',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '183',
                'rgt'              => '184',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            92  => array(
                'id'               => '93',
                'translation_lang' => 'en',
                'translation_of'   => '93',
                'parent_id'        => '85',
                'name'             => 'Accounting - Management - Finance',
                'slug'             => 'accounting-management-finance',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '181',
                'rgt'              => '182',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            93  => array(
                'id'               => '94',
                'translation_lang' => 'en',
                'translation_of'   => '94',
                'parent_id'        => '85',
                'name'             => 'Steering - Manager',
                'slug'             => 'steering-manager',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '221',
                'rgt'              => '222',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            94  => array(
                'id'               => '95',
                'translation_lang' => 'en',
                'translation_of'   => '95',
                'parent_id'        => '85',
                'name'             => 'Aesthetics - Hair - Beauty',
                'slug'             => 'aesthetics-hair-beauty',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '193',
                'rgt'              => '194',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            95  => array(
                'id'               => '96',
                'translation_lang' => 'en',
                'translation_of'   => '96',
                'parent_id'        => '85',
                'name'             => 'Public Service Jobs Offer',
                'slug'             => 'public-service-jobs-offer',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '179',
                'rgt'              => '180',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            96  => array(
                'id'               => '97',
                'translation_lang' => 'en',
                'translation_of'   => '97',
                'parent_id'        => '85',
                'name'             => 'Real Estate Jobs Offer',
                'slug'             => 'real-estate-jobs-offer',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '207',
                'rgt'              => '208',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            97  => array(
                'id'               => '98',
                'translation_lang' => 'en',
                'translation_of'   => '98',
                'parent_id'        => '85',
                'name'             => 'Independent - Freelance - Telecommuting',
                'slug'             => 'independent-freelance-telecommuting',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '199',
                'rgt'              => '200',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            98  => array(
                'id'               => '99',
                'translation_lang' => 'en',
                'translation_of'   => '99',
                'parent_id'        => '85',
                'name'             => 'Computers - Internet - Telecommunications',
                'slug'             => 'computers-internet-telecommunications',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '201',
                'rgt'              => '202',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            99  => array(
                'id'               => '100',
                'translation_lang' => 'en',
                'translation_of'   => '100',
                'parent_id'        => '85',
                'name'             => 'Industry, Production & engineering',
                'slug'             => 'industry-production-engineering',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '219',
                'rgt'              => '220',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            100 => array(
                'id'               => '101',
                'translation_lang' => 'en',
                'translation_of'   => '101',
                'parent_id'        => '85',
                'name'             => 'Marketing - Communication',
                'slug'             => 'marketing-communication',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '217',
                'rgt'              => '218',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            101 => array(
                'id'               => '102',
                'translation_lang' => 'en',
                'translation_of'   => '102',
                'parent_id'        => '85',
                'name'             => 'Babysitting - Nanny Work',
                'slug'             => 'babysitting-nanny-work',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '215',
                'rgt'              => '216',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            102 => array(
                'id'               => '103',
                'translation_lang' => 'en',
                'translation_of'   => '103',
                'parent_id'        => '85',
                'name'             => 'HR - Training - Education',
                'slug'             => 'hr-training-education',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '213',
                'rgt'              => '214',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            103 => array(
                'id'               => '104',
                'translation_lang' => 'en',
                'translation_of'   => '104',
                'parent_id'        => '85',
                'name'             => 'Medical - Healthcare - Social',
                'slug'             => 'medical-healthcare-social',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '211',
                'rgt'              => '212',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            104 => array(
                'id'               => '105',
                'translation_lang' => 'en',
                'translation_of'   => '105',
                'parent_id'        => '85',
                'name'             => 'Security - Guarding',
                'slug'             => 'security-guarding',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '177',
                'rgt'              => '178',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            105 => array(
                'id'               => '106',
                'translation_lang' => 'en',
                'translation_of'   => '106',
                'parent_id'        => '85',
                'name'             => 'Household Services - Housekeeping',
                'slug'             => 'household-services-housekeeping',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '209',
                'rgt'              => '210',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            106 => array(
                'id'               => '107',
                'translation_lang' => 'en',
                'translation_of'   => '107',
                'parent_id'        => '85',
                'name'             => 'Tourism - Hotels - Restaurants - Leisure',
                'slug'             => 'tourism-hotels-restaurants-leisure',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '205',
                'rgt'              => '206',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            107 => array(
                'id'               => '108',
                'translation_lang' => 'en',
                'translation_of'   => '108',
                'parent_id'        => '85',
                'name'             => 'Transportation - Logistics',
                'slug'             => 'transportation-logistics',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '203',
                'rgt'              => '204',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            108 => array(
                'id'               => '109',
                'translation_lang' => 'en',
                'translation_of'   => '109',
                'parent_id'        => '0',
                'name'             => 'Job Search',
                'slug'             => 'job-search',
                'description'      => null,
                'picture'          => 'fa-search.png',
                'css_class'        => 'icon-search',
                'lft'              => '128',
                'rgt'              => '175',
                'depth'            => '1',
                'type'             => 'job-search',
                'active'           => '1',
            ),
            109 => array(
                'id'               => '110',
                'translation_lang' => 'en',
                'translation_of'   => '110',
                'parent_id'        => '109',
                'name'             => 'Agriculture - Environment',
                'slug'             => 'agriculture-environment',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '129',
                'rgt'              => '130',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            110 => array(
                'id'               => '111',
                'translation_lang' => 'en',
                'translation_of'   => '111',
                'parent_id'        => '109',
                'name'             => 'Assistantship - Secretariat - Helpdesk',
                'slug'             => 'assistantship-secretariat-helpdesk',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '153',
                'rgt'              => '154',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            111 => array(
                'id'               => '112',
                'translation_lang' => 'en',
                'translation_of'   => '112',
                'parent_id'        => '109',
                'name'             => 'Automotive - Mechanic',
                'slug'             => 'automotive-mechanic',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '171',
                'rgt'              => '172',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            112 => array(
                'id'               => '113',
                'translation_lang' => 'en',
                'translation_of'   => '113',
                'parent_id'        => '109',
                'name'             => 'Others Jobs Search',
                'slug'             => 'others-jobs-search',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '169',
                'rgt'              => '170',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            113 => array(
                'id'               => '114',
                'translation_lang' => 'en',
                'translation_of'   => '114',
                'parent_id'        => '109',
                'name'             => 'BTP - Construction - Building',
                'slug'             => 'btp-construction-building',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '165',
                'rgt'              => '166',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            114 => array(
                'id'               => '115',
                'translation_lang' => 'en',
                'translation_of'   => '115',
                'parent_id'        => '109',
                'name'             => 'Trade - Business Services',
                'slug'             => 'trade-business-services',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '167',
                'rgt'              => '168',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            115 => array(
                'id'               => '116',
                'translation_lang' => 'en',
                'translation_of'   => '116',
                'parent_id'        => '109',
                'name'             => 'Commercial - Sale Jobs Search',
                'slug'             => 'commercial-sale-jobs-search',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '163',
                'rgt'              => '164',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            116 => array(
                'id'               => '117',
                'translation_lang' => 'en',
                'translation_of'   => '117',
                'parent_id'        => '109',
                'name'             => 'Accounting - Management - Finance',
                'slug'             => 'accounting-management-finance',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '161',
                'rgt'              => '162',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            117 => array(
                'id'               => '118',
                'translation_lang' => 'en',
                'translation_of'   => '118',
                'parent_id'        => '109',
                'name'             => 'Steering - Manager',
                'slug'             => 'steering-manager',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '157',
                'rgt'              => '158',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            118 => array(
                'id'               => '119',
                'translation_lang' => 'en',
                'translation_of'   => '119',
                'parent_id'        => '109',
                'name'             => 'Aesthetics - Hair - Beauty',
                'slug'             => 'aesthetics-hair-beauty',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '155',
                'rgt'              => '156',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            119 => array(
                'id'               => '120',
                'translation_lang' => 'en',
                'translation_of'   => '120',
                'parent_id'        => '109',
                'name'             => 'Public Service Jobs Search',
                'slug'             => 'public-service-jobs-search',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '151',
                'rgt'              => '152',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            120 => array(
                'id'               => '121',
                'translation_lang' => 'en',
                'translation_of'   => '121',
                'parent_id'        => '109',
                'name'             => 'Real Estate Jobs Search',
                'slug'             => 'real-estate-jobs-search',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '131',
                'rgt'              => '132',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            121 => array(
                'id'               => '122',
                'translation_lang' => 'en',
                'translation_of'   => '122',
                'parent_id'        => '109',
                'name'             => 'Independent - Freelance - Telecommuting',
                'slug'             => 'independent-freelance-telecommuting',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '149',
                'rgt'              => '150',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            122 => array(
                'id'               => '123',
                'translation_lang' => 'en',
                'translation_of'   => '123',
                'parent_id'        => '109',
                'name'             => 'Computers - Internet - Telecommunications',
                'slug'             => 'computers-internet-telecommunications',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '147',
                'rgt'              => '148',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            123 => array(
                'id'               => '124',
                'translation_lang' => 'en',
                'translation_of'   => '124',
                'parent_id'        => '109',
                'name'             => 'Industry, Production & engineering',
                'slug'             => 'industry-production-engineering',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '145',
                'rgt'              => '146',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            124 => array(
                'id'               => '125',
                'translation_lang' => 'en',
                'translation_of'   => '125',
                'parent_id'        => '109',
                'name'             => 'Marketing - Communication',
                'slug'             => 'marketing-communication',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '159',
                'rgt'              => '160',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            125 => array(
                'id'               => '126',
                'translation_lang' => 'en',
                'translation_of'   => '126',
                'parent_id'        => '109',
                'name'             => 'Babysitting - Nanny Work',
                'slug'             => 'babysitting-nanny-work',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '143',
                'rgt'              => '144',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            126 => array(
                'id'               => '127',
                'translation_lang' => 'en',
                'translation_of'   => '127',
                'parent_id'        => '109',
                'name'             => 'HR - Training - Education',
                'slug'             => 'hr-training-education',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '141',
                'rgt'              => '142',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            127 => array(
                'id'               => '128',
                'translation_lang' => 'en',
                'translation_of'   => '128',
                'parent_id'        => '109',
                'name'             => 'Medical - Healthcare - Social',
                'slug'             => 'medical-healthcare-social',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '139',
                'rgt'              => '140',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            128 => array(
                'id'               => '129',
                'translation_lang' => 'en',
                'translation_of'   => '129',
                'parent_id'        => '109',
                'name'             => 'Security - Guarding',
                'slug'             => 'security-guarding',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '137',
                'rgt'              => '138',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            129 => array(
                'id'               => '130',
                'translation_lang' => 'en',
                'translation_of'   => '130',
                'parent_id'        => '109',
                'name'             => 'Household Services - Housekeeping',
                'slug'             => 'household-services-housekeeping',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '135',
                'rgt'              => '136',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            130 => array(
                'id'               => '131',
                'translation_lang' => 'en',
                'translation_of'   => '131',
                'parent_id'        => '109',
                'name'             => 'Tourism - Hotels - Restaurants - Leisure',
                'slug'             => 'tourism-hotels-restaurants-leisure',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '133',
                'rgt'              => '134',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            131 => array(
                'id'               => '132',
                'translation_lang' => 'en',
                'translation_of'   => '132',
                'parent_id'        => '109',
                'name'             => 'Transportation - Logistics',
                'slug'             => 'transportation-logistics',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '173',
                'rgt'              => '174',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            132 => array(
                'id'               => '133',
                'translation_lang' => 'en',
                'translation_of'   => '133',
                'parent_id'        => '0',
                'name'             => 'Learning',
                'slug'             => 'learning',
                'description'      => null,
                'picture'          => 'fa-graduation-cap.png',
                'css_class'        => 'icon-book-open',
                'lft'              => '250',
                'rgt'              => '265',
                'depth'            => '1',
                'type'             => 'classified',
                'active'           => '1',
            ),
            133 => array(
                'id'               => '134',
                'translation_lang' => 'en',
                'translation_of'   => '134',
                'parent_id'        => '133',
                'name'             => 'Language Classes',
                'slug'             => 'language-classes',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '263',
                'rgt'              => '264',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            134 => array(
                'id'               => '135',
                'translation_lang' => 'en',
                'translation_of'   => '135',
                'parent_id'        => '133',
                'name'             => 'Computer Courses',
                'slug'             => 'computer-courses',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '261',
                'rgt'              => '262',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            135 => array(
                'id'               => '136',
                'translation_lang' => 'en',
                'translation_of'   => '136',
                'parent_id'        => '133',
                'name'             => 'Tutoring, Private Lessons',
                'slug'             => 'tutoring-private-lessons',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '257',
                'rgt'              => '258',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            136 => array(
                'id'               => '137',
                'translation_lang' => 'en',
                'translation_of'   => '137',
                'parent_id'        => '133',
                'name'             => 'Vocational Training',
                'slug'             => 'vocational-training',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '259',
                'rgt'              => '260',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            137 => array(
                'id'               => '138',
                'translation_lang' => 'en',
                'translation_of'   => '138',
                'parent_id'        => '133',
                'name'             => 'Maths, Physics, Chemistry',
                'slug'             => 'maths-physics-chemistry',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '251',
                'rgt'              => '252',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            138 => array(
                'id'               => '139',
                'translation_lang' => 'en',
                'translation_of'   => '139',
                'parent_id'        => '133',
                'name'             => 'Music, Theatre, Dance',
                'slug'             => 'music-theatre-dance',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '253',
                'rgt'              => '254',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            139 => array(
                'id'               => '140',
                'translation_lang' => 'en',
                'translation_of'   => '140',
                'parent_id'        => '133',
                'name'             => 'School support',
                'slug'             => 'school-support',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '255',
                'rgt'              => '256',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            140 => array(
                'id'               => '141',
                'translation_lang' => 'en',
                'translation_of'   => '141',
                'parent_id'        => '0',
                'name'             => 'Local Events',
                'slug'             => 'local-events',
                'description'      => null,
                'picture'          => 'fa-calendar.png',
                'css_class'        => 'icon-megaphone-1',
                'lft'              => '224',
                'rgt'              => '249',
                'depth'            => '1',
                'type'             => 'classified',
                'active'           => '1',
            ),
            141 => array(
                'id'               => '142',
                'translation_lang' => 'en',
                'translation_of'   => '142',
                'parent_id'        => '141',
                'name'             => 'Concerts & Festivals',
                'slug'             => 'concerts-festivals',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '227',
                'rgt'              => '228',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            142 => array(
                'id'               => '143',
                'translation_lang' => 'en',
                'translation_of'   => '143',
                'parent_id'        => '141',
                'name'             => 'Networking & Meetups',
                'slug'             => 'networking-meetups',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '229',
                'rgt'              => '230',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            143 => array(
                'id'               => '144',
                'translation_lang' => 'en',
                'translation_of'   => '144',
                'parent_id'        => '141',
                'name'             => 'Sports & Outdoors',
                'slug'             => 'sports-outdoors',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '225',
                'rgt'              => '226',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            144 => array(
                'id'               => '145',
                'translation_lang' => 'en',
                'translation_of'   => '145',
                'parent_id'        => '141',
                'name'             => 'Trade Shows & Conventions',
                'slug'             => 'trade-shows-conventions',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '231',
                'rgt'              => '232',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            145 => array(
                'id'               => '146',
                'translation_lang' => 'en',
                'translation_of'   => '146',
                'parent_id'        => '141',
                'name'             => 'Training & Seminars',
                'slug'             => 'training-seminars',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '233',
                'rgt'              => '234',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            146 => array(
                'id'               => '147',
                'translation_lang' => 'en',
                'translation_of'   => '147',
                'parent_id'        => '141',
                'name'             => 'Ceremonies',
                'slug'             => 'ceremonies',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '235',
                'rgt'              => '236',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            147 => array(
                'id'               => '148',
                'translation_lang' => 'en',
                'translation_of'   => '148',
                'parent_id'        => '141',
                'name'             => 'Conferences',
                'slug'             => 'conferences',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '237',
                'rgt'              => '238',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            148 => array(
                'id'               => '149',
                'translation_lang' => 'en',
                'translation_of'   => '149',
                'parent_id'        => '141',
                'name'             => 'Weddings',
                'slug'             => 'weddings',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '239',
                'rgt'              => '240',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            149 => array(
                'id'               => '150',
                'translation_lang' => 'en',
                'translation_of'   => '150',
                'parent_id'        => '141',
                'name'             => 'Birthdays',
                'slug'             => 'birthdays',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '241',
                'rgt'              => '242',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            150 => array(
                'id'               => '151',
                'translation_lang' => 'en',
                'translation_of'   => '151',
                'parent_id'        => '141',
                'name'             => 'Family Events',
                'slug'             => 'family-events',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '243',
                'rgt'              => '244',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            151 => array(
                'id'               => '152',
                'translation_lang' => 'en',
                'translation_of'   => '152',
                'parent_id'        => '141',
                'name'             => 'Nightlife',
                'slug'             => 'nightlife',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '245',
                'rgt'              => '246',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            152 => array(
                'id'               => '153',
                'translation_lang' => 'en',
                'translation_of'   => '153',
                'parent_id'        => '141',
                'name'             => 'All others events',
                'slug'             => 'all-others-events',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => '247',
                'rgt'              => '248',
                'depth'            => '2',
                'type'             => null,
                'active'           => '1',
            ),
            153 => array(
                'id'               => '154',
                'translation_lang' => 'fr',
                'translation_of'   => '1',
                'parent_id'        => '0',
                'name'             => 'Auto - Moto',
                'slug'             => 'auto-moto',
                'description'      => null,
                'picture'          => 'fa-car.png',
                'css_class'        => 'fa fa-car',
                'lft'              => '8',
                'rgt'              => '9',
                'depth'            => '1',
                'type'             => 'classified',
                'active'           => '1',
            ),
            154 => array(
                'id'               => '155',
                'translation_lang' => 'fr',
                'translation_of'   => '2',
                'parent_id'        => '1',
                'name'             => 'Caravane et Nautisme',
                'slug'             => 'caravane-et-nautisme',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            155 => array(
                'id'               => '156',
                'translation_lang' => 'fr',
                'translation_of'   => '3',
                'parent_id'        => '1',
                'name'             => 'Location Véhicule, Motos',
                'slug'             => 'location-vehicule-motos',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            156 => array(
                'id'               => '157',
                'translation_lang' => 'fr',
                'translation_of'   => '4',
                'parent_id'        => '1',
                'name'             => 'Motos, Quads - Scooters, Vélos',
                'slug'             => 'motos-quads-scooters-velos',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            157 => array(
                'id'               => '158',
                'translation_lang' => 'fr',
                'translation_of'   => '5',
                'parent_id'        => '1',
                'name'             => 'Pièces détachées auto',
                'slug'             => 'pieces-detachees-auto',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            158 => array(
                'id'               => '159',
                'translation_lang' => 'fr',
                'translation_of'   => '6',
                'parent_id'        => '1',
                'name'             => 'Pièces et accessoires moto',
                'slug'             => 'pieces-et-accessoires-moto',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            159 => array(
                'id'               => '160',
                'translation_lang' => 'fr',
                'translation_of'   => '7',
                'parent_id'        => '1',
                'name'             => 'Véhicules Utilitaires et Engins',
                'slug'             => 'vehicules-utilitaires-et-engins',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            160 => array(
                'id'               => '161',
                'translation_lang' => 'fr',
                'translation_of'   => '8',
                'parent_id'        => '1',
                'name'             => 'Voitures Occasion ou Neuves',
                'slug'             => 'voitures-occasion-ou-neuves',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            161 => array(
                'id'               => '162',
                'translation_lang' => 'fr',
                'translation_of'   => '9',
                'parent_id'        => '0',
                'name'             => 'Immobilier',
                'slug'             => 'immobilier',
                'description'      => null,
                'picture'          => 'fa-home.png',
                'css_class'        => 'icon-home',
                'lft'              => '4',
                'rgt'              => '5',
                'depth'            => '1',
                'type'             => null,
                'active'           => '1',
            ),
            162 => array(
                'id'               => '163',
                'translation_lang' => 'fr',
                'translation_of'   => '10',
                'parent_id'        => '9',
                'name'             => 'Bureaux - Locaux commerciaux',
                'slug'             => 'bureaux-locaux-commerciaux',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            163 => array(
                'id'               => '164',
                'translation_lang' => 'fr',
                'translation_of'   => '11',
                'parent_id'        => '9',
                'name'             => 'Cherche à louer ou acheter',
                'slug'             => 'cherche-a-louer-ou-acheter',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            164 => array(
                'id'               => '165',
                'translation_lang' => 'fr',
                'translation_of'   => '12',
                'parent_id'        => '9',
                'name'             => 'Colocations',
                'slug'             => 'colocations',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            165 => array(
                'id'               => '166',
                'translation_lang' => 'fr',
                'translation_of'   => '13',
                'parent_id'        => '9',
                'name'             => 'Hôtels et hébergements',
                'slug'             => 'hotels-et-hebergements',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            166 => array(
                'id'               => '167',
                'translation_lang' => 'fr',
                'translation_of'   => '14',
                'parent_id'        => '9',
                'name'             => 'Location Maison, Appartement',
                'slug'             => 'location-maison-appartement',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            167 => array(
                'id'               => '168',
                'translation_lang' => 'fr',
                'translation_of'   => '15',
                'parent_id'        => '9',
                'name'             => 'Location Vacances - Gîtes',
                'slug'             => 'location-vacances-gites',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            168 => array(
                'id'               => '169',
                'translation_lang' => 'fr',
                'translation_of'   => '16',
                'parent_id'        => '9',
                'name'             => 'Parkings, Garages, Fermes',
                'slug'             => 'parkings-garages-fermes',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            169 => array(
                'id'               => '170',
                'translation_lang' => 'fr',
                'translation_of'   => '17',
                'parent_id'        => '9',
                'name'             => 'Services Immobiliers pro',
                'slug'             => 'services-immobiliers-pro',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            170 => array(
                'id'               => '171',
                'translation_lang' => 'fr',
                'translation_of'   => '18',
                'parent_id'        => '9',
                'name'             => 'Studio - Chambre à louer',
                'slug'             => 'studio-chambre-a-louer',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            171 => array(
                'id'               => '172',
                'translation_lang' => 'fr',
                'translation_of'   => '19',
                'parent_id'        => '9',
                'name'             => 'Terrains à Vendre, Louer, Batir',
                'slug'             => 'terrains-a-vendre-louer-batir',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            172 => array(
                'id'               => '173',
                'translation_lang' => 'fr',
                'translation_of'   => '20',
                'parent_id'        => '9',
                'name'             => 'Ventes immobilières',
                'slug'             => 'ventes-immobilieres',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            173 => array(
                'id'               => '174',
                'translation_lang' => 'fr',
                'translation_of'   => '21',
                'parent_id'        => '0',
                'name'             => 'Services',
                'slug'             => 'services',
                'description'      => null,
                'picture'          => 'ion-clipboard.png',
                'css_class'        => 'fa fa-briefcase',
                'lft'              => '10',
                'rgt'              => '11',
                'depth'            => '1',
                'type'             => 'service',
                'active'           => '1',
            ),
            174 => array(
                'id'               => '175',
                'translation_lang' => 'fr',
                'translation_of'   => '22',
                'parent_id'        => '21',
                'name'             => 'Autres services & Bons plans',
                'slug'             => 'autres-services-bons-plans',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            175 => array(
                'id'               => '176',
                'translation_lang' => 'fr',
                'translation_of'   => '23',
                'parent_id'        => '21',
                'name'             => 'Casting, Modèle, Photographe',
                'slug'             => 'casting-modele-photographe',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            176 => array(
                'id'               => '177',
                'translation_lang' => 'fr',
                'translation_of'   => '24',
                'parent_id'        => '21',
                'name'             => 'Covoiturage - Auto-stop',
                'slug'             => 'covoiturage-auto-stop',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            177 => array(
                'id'               => '178',
                'translation_lang' => 'fr',
                'translation_of'   => '25',
                'parent_id'        => '21',
                'name'             => 'Déménagement, Garde-Meubles',
                'slug'             => 'demenagement-garde-meubles',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            178 => array(
                'id'               => '179',
                'translation_lang' => 'fr',
                'translation_of'   => '26',
                'parent_id'        => '21',
                'name'             => 'Déstockage - Fond de Commerce',
                'slug'             => 'destockage-fond-de-commerce',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            179 => array(
                'id'               => '180',
                'translation_lang' => 'fr',
                'translation_of'   => '27',
                'parent_id'        => '21',
                'name'             => 'Équipements Industriels',
                'slug'             => 'equipements-industriels',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            180 => array(
                'id'               => '181',
                'translation_lang' => 'fr',
                'translation_of'   => '28',
                'parent_id'        => '21',
                'name'             => 'Esthétique - Coiffure',
                'slug'             => 'esthetique-coiffure',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            181 => array(
                'id'               => '182',
                'translation_lang' => 'fr',
                'translation_of'   => '29',
                'parent_id'        => '21',
                'name'             => 'Horoscope - Voyance - Astrologie',
                'slug'             => 'horoscope-voyance-astrologie',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            182 => array(
                'id'               => '183',
                'translation_lang' => 'fr',
                'translation_of'   => '30',
                'parent_id'        => '21',
                'name'             => 'Matériaux et équipements pro',
                'slug'             => 'materiaux-et-equipements-pro',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            183 => array(
                'id'               => '184',
                'translation_lang' => 'fr',
                'translation_of'   => '31',
                'parent_id'        => '21',
                'name'             => 'Organisation Evènement',
                'slug'             => 'organisation-evenement',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            184 => array(
                'id'               => '185',
                'translation_lang' => 'fr',
                'translation_of'   => '32',
                'parent_id'        => '21',
                'name'             => 'Prestations de services',
                'slug'             => 'prestations-de-services',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            185 => array(
                'id'               => '186',
                'translation_lang' => 'fr',
                'translation_of'   => '33',
                'parent_id'        => '21',
                'name'             => 'Santé, Forme, Beauté',
                'slug'             => 'sante-forme-beaute',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            186 => array(
                'id'               => '187',
                'translation_lang' => 'fr',
                'translation_of'   => '34',
                'parent_id'        => '21',
                'name'             => 'Services Dépannage - Artisan',
                'slug'             => 'services-depannage-artisan',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            187 => array(
                'id'               => '188',
                'translation_lang' => 'fr',
                'translation_of'   => '35',
                'parent_id'        => '21',
                'name'             => 'Services Informatiques',
                'slug'             => 'services-informatiques',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            188 => array(
                'id'               => '189',
                'translation_lang' => 'fr',
                'translation_of'   => '36',
                'parent_id'        => '21',
                'name'             => 'Services tourisme et voyage',
                'slug'             => 'services-tourisme-et-voyage',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            189 => array(
                'id'               => '190',
                'translation_lang' => 'fr',
                'translation_of'   => '37',
                'parent_id'        => '21',
                'name'             => 'Traduction - Rédaction',
                'slug'             => 'traduction-redaction',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            190 => array(
                'id'               => '191',
                'translation_lang' => 'fr',
                'translation_of'   => '38',
                'parent_id'        => '21',
                'name'             => 'Travaux - Rénovation - Menuiserie',
                'slug'             => 'travaux-renovation-menuiserie',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            191 => array(
                'id'               => '192',
                'translation_lang' => 'fr',
                'translation_of'   => '39',
                'parent_id'        => '0',
                'name'             => 'Loisirs',
                'slug'             => 'loisirs',
                'description'      => null,
                'picture'          => 'fa-users.png',
                'css_class'        => 'icon-theatre',
                'lft'              => '20',
                'rgt'              => '21',
                'depth'            => '1',
                'type'             => null,
                'active'           => '1',
            ),
            192 => array(
                'id'               => '193',
                'translation_lang' => 'fr',
                'translation_of'   => '40',
                'parent_id'        => '39',
                'name'             => 'Articles de sport, Exercice',
                'slug'             => 'articles-de-sport-exercice',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            193 => array(
                'id'               => '194',
                'translation_lang' => 'fr',
                'translation_of'   => '41',
                'parent_id'        => '39',
                'name'             => 'Artistes, Musiciens',
                'slug'             => 'artistes-musiciens',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            194 => array(
                'id'               => '195',
                'translation_lang' => 'fr',
                'translation_of'   => '42',
                'parent_id'        => '39',
                'name'             => 'Association, Bénévoles',
                'slug'             => 'association-benevoles',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            195 => array(
                'id'               => '196',
                'translation_lang' => 'fr',
                'translation_of'   => '43',
                'parent_id'        => '39',
                'name'             => 'CD/DVD - Livres - Films',
                'slug'             => 'cddvd-livres-films',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            196 => array(
                'id'               => '197',
                'translation_lang' => 'fr',
                'translation_of'   => '44',
                'parent_id'        => '39',
                'name'             => 'Infos locales et Autres',
                'slug'             => 'infos-locales-et-autres',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            197 => array(
                'id'               => '198',
                'translation_lang' => 'fr',
                'translation_of'   => '45',
                'parent_id'        => '39',
                'name'             => 'Restaurants, Bars, Snack',
                'slug'             => 'restaurants-bars-snack',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            198 => array(
                'id'               => '199',
                'translation_lang' => 'fr',
                'translation_of'   => '46',
                'parent_id'        => '39',
                'name'             => 'Sorties - Loisirs - Soirée',
                'slug'             => 'sorties-loisirs-soiree',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            199 => array(
                'id'               => '200',
                'translation_lang' => 'fr',
                'translation_of'   => '47',
                'parent_id'        => '0',
                'name'             => 'Multimédia',
                'slug'             => 'multimedia',
                'description'      => null,
                'picture'          => 'fa-laptop.png',
                'css_class'        => 'icon-laptop',
                'lft'              => '2',
                'rgt'              => '3',
                'depth'            => '1',
                'type'             => null,
                'active'           => '1',
            ),
            200 => array(
                'id'               => '201',
                'translation_lang' => 'fr',
                'translation_of'   => '48',
                'parent_id'        => '47',
                'name'             => 'Accessoires Multimédia et Informatique',
                'slug'             => 'accessoires-multimedia-et-informatique',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            201 => array(
                'id'               => '202',
                'translation_lang' => 'fr',
                'translation_of'   => '49',
                'parent_id'        => '47',
                'name'             => 'CD/DVD - Livres - Films',
                'slug'             => 'cddvd-livres-films',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            202 => array(
                'id'               => '203',
                'translation_lang' => 'fr',
                'translation_of'   => '50',
                'parent_id'        => '47',
                'name'             => 'Consoles - Jeux vidéos',
                'slug'             => 'consoles-jeux-videos',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            203 => array(
                'id'               => '204',
                'translation_lang' => 'fr',
                'translation_of'   => '51',
                'parent_id'        => '47',
                'name'             => 'Ordinateurs de bureau - Portables',
                'slug'             => 'ordinateurs-de-bureau-portables',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            204 => array(
                'id'               => '205',
                'translation_lang' => 'fr',
                'translation_of'   => '52',
                'parent_id'        => '47',
                'name'             => 'Recherche pour acheter',
                'slug'             => 'recherche-pour-acheter',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            205 => array(
                'id'               => '206',
                'translation_lang' => 'fr',
                'translation_of'   => '53',
                'parent_id'        => '47',
                'name'             => 'Tablettes - Ecrans tactiles',
                'slug'             => 'tablettes-ecrans-tactiles',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            206 => array(
                'id'               => '207',
                'translation_lang' => 'fr',
                'translation_of'   => '54',
                'parent_id'        => '47',
                'name'             => 'Téléphones mobiles - Smartphones',
                'slug'             => 'telephones-mobiles-smartphones',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            207 => array(
                'id'               => '208',
                'translation_lang' => 'fr',
                'translation_of'   => '55',
                'parent_id'        => '47',
                'name'             => 'TV, Images, Son, Appareils photo',
                'slug'             => 'tv-images-son-appareils-photo',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            208 => array(
                'id'               => '209',
                'translation_lang' => 'fr',
                'translation_of'   => '56',
                'parent_id'        => '47',
                'name'             => 'Liquidation - Commercial',
                'slug'             => 'liquidation-commercial',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            209 => array(
                'id'               => '210',
                'translation_lang' => 'fr',
                'translation_of'   => '57',
                'parent_id'        => '47',
                'name'             => 'Equipement industriel',
                'slug'             => 'equipement-industriel',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            210 => array(
                'id'               => '211',
                'translation_lang' => 'fr',
                'translation_of'   => '58',
                'parent_id'        => '47',
                'name'             => 'Matériaux et équipements professionnels',
                'slug'             => 'materiaux-et-equipements-professionnels',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            211 => array(
                'id'               => '212',
                'translation_lang' => 'fr',
                'translation_of'   => '59',
                'parent_id'        => '0',
                'name'             => 'Mode, Maison & Déco',
                'slug'             => 'mode-maison-deco',
                'description'      => null,
                'picture'          => 'fa-home.png',
                'css_class'        => 'icon-basket-1',
                'lft'              => '6',
                'rgt'              => '7',
                'depth'            => '1',
                'type'             => null,
                'active'           => '1',
            ),
            212 => array(
                'id'               => '213',
                'translation_lang' => 'fr',
                'translation_of'   => '60',
                'parent_id'        => '59',
                'name'             => 'Ameublement - Art de la table',
                'slug'             => 'ameublement-art-de-la-table',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            213 => array(
                'id'               => '214',
                'translation_lang' => 'fr',
                'translation_of'   => '61',
                'parent_id'        => '59',
                'name'             => 'Antiquités - Art - Décoration',
                'slug'             => 'antiquites-art-decoration',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            214 => array(
                'id'               => '215',
                'translation_lang' => 'fr',
                'translation_of'   => '62',
                'parent_id'        => '59',
                'name'             => 'Appareils électroménagers',
                'slug'             => 'appareils-electromenagers',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            215 => array(
                'id'               => '216',
                'translation_lang' => 'fr',
                'translation_of'   => '63',
                'parent_id'        => '59',
                'name'             => 'Bijoux - Montres - Bagagerie',
                'slug'             => 'bijoux-montres-bagagerie',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            216 => array(
                'id'               => '217',
                'translation_lang' => 'fr',
                'translation_of'   => '64',
                'parent_id'        => '59',
                'name'             => 'Bricolage - Jardinage',
                'slug'             => 'bricolage-jardinage',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            217 => array(
                'id'               => '218',
                'translation_lang' => 'fr',
                'translation_of'   => '65',
                'parent_id'        => '59',
                'name'             => 'Brocantes divers',
                'slug'             => 'brocantes-divers',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            218 => array(
                'id'               => '219',
                'translation_lang' => 'fr',
                'translation_of'   => '66',
                'parent_id'        => '59',
                'name'             => 'Chaussures',
                'slug'             => 'chaussures',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            219 => array(
                'id'               => '220',
                'translation_lang' => 'fr',
                'translation_of'   => '67',
                'parent_id'        => '59',
                'name'             => 'Jeux - Jouets - Figurines',
                'slug'             => 'jeux-jouets-figurines',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            220 => array(
                'id'               => '221',
                'translation_lang' => 'fr',
                'translation_of'   => '68',
                'parent_id'        => '59',
                'name'             => 'Vêtements - Sacs - Accessoires Mode',
                'slug'             => 'vetements-sacs-accessoires-mode',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            221 => array(
                'id'               => '222',
                'translation_lang' => 'fr',
                'translation_of'   => '69',
                'parent_id'        => '59',
                'name'             => 'Puériculture et équipement Bébé',
                'slug'             => 'puericulture-et-equipement-bebe',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            222 => array(
                'id'               => '223',
                'translation_lang' => 'fr',
                'translation_of'   => '70',
                'parent_id'        => '59',
                'name'             => 'Beauté, Santé',
                'slug'             => 'beaute-sante',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            223 => array(
                'id'               => '224',
                'translation_lang' => 'fr',
                'translation_of'   => '71',
                'parent_id'        => '59',
                'name'             => 'Vins & Gastronomie - Recettes',
                'slug'             => 'vins-gastronomie-recettes',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            224 => array(
                'id'               => '225',
                'translation_lang' => 'fr',
                'translation_of'   => '72',
                'parent_id'        => '0',
                'name'             => 'Animaux, Mascottes',
                'slug'             => 'animaux-mascottes',
                'description'      => null,
                'picture'          => 'map-icon-pet-store.png',
                'css_class'        => 'icon-guidedog',
                'lft'              => '22',
                'rgt'              => '23',
                'depth'            => '1',
                'type'             => null,
                'active'           => '1',
            ),
            225 => array(
                'id'               => '226',
                'translation_lang' => 'fr',
                'translation_of'   => '73',
                'parent_id'        => '72',
                'name'             => 'Services, Accessoires et Autres',
                'slug'             => 'services-accessoires-et-autres',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            226 => array(
                'id'               => '227',
                'translation_lang' => 'fr',
                'translation_of'   => '74',
                'parent_id'        => '72',
                'name'             => 'Ventes, Adoptions, Perdus',
                'slug'             => 'ventes-adoptions-perdus',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            227 => array(
                'id'               => '228',
                'translation_lang' => 'fr',
                'translation_of'   => '75',
                'parent_id'        => '0',
                'name'             => 'Rencontres',
                'slug'             => 'rencontres',
                'description'      => null,
                'picture'          => 'ion-ios-heart.png',
                'css_class'        => 'icon-heart',
                'lft'              => '24',
                'rgt'              => '25',
                'depth'            => '1',
                'type'             => null,
                'active'           => '1',
            ),
            228 => array(
                'id'               => '229',
                'translation_lang' => 'fr',
                'translation_of'   => '76',
                'parent_id'        => '75',
                'name'             => 'Amitiés - Compagnons',
                'slug'             => 'amities-compagnons',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            229 => array(
                'id'               => '230',
                'translation_lang' => 'fr',
                'translation_of'   => '77',
                'parent_id'        => '75',
                'name'             => 'Escorts - Services Adultes',
                'slug'             => 'escorts-services-adultes',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            230 => array(
                'id'               => '231',
                'translation_lang' => 'fr',
                'translation_of'   => '78',
                'parent_id'        => '75',
                'name'             => 'Femme cherche Femme',
                'slug'             => 'femme-cherche-femme',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            231 => array(
                'id'               => '232',
                'translation_lang' => 'fr',
                'translation_of'   => '79',
                'parent_id'        => '75',
                'name'             => 'Femme cherche Homme',
                'slug'             => 'femme-cherche-homme',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            232 => array(
                'id'               => '233',
                'translation_lang' => 'fr',
                'translation_of'   => '80',
                'parent_id'        => '75',
                'name'             => 'Homme cherche Femme',
                'slug'             => 'homme-cherche-femme',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            233 => array(
                'id'               => '234',
                'translation_lang' => 'fr',
                'translation_of'   => '81',
                'parent_id'        => '75',
                'name'             => 'Homme cherche Homme',
                'slug'             => 'homme-cherche-homme',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            234 => array(
                'id'               => '235',
                'translation_lang' => 'fr',
                'translation_of'   => '82',
                'parent_id'        => '75',
                'name'             => 'Massage - Relaxation',
                'slug'             => 'massage-relaxation',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            235 => array(
                'id'               => '236',
                'translation_lang' => 'fr',
                'translation_of'   => '83',
                'parent_id'        => '75',
                'name'             => 'Produits Adultes - Articles',
                'slug'             => 'produits-adultes-articles',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            236 => array(
                'id'               => '237',
                'translation_lang' => 'fr',
                'translation_of'   => '84',
                'parent_id'        => '75',
                'name'             => 'Rencontre Occasionnelle',
                'slug'             => 'rencontre-occasionnelle',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            237 => array(
                'id'               => '238',
                'translation_lang' => 'fr',
                'translation_of'   => '85',
                'parent_id'        => '0',
                'name'             => 'Offres Emploi',
                'slug'             => 'offres-emploi',
                'description'      => null,
                'picture'          => 'mfglabs-users.png',
                'css_class'        => 'icon-megaphone-1',
                'lft'              => '14',
                'rgt'              => '15',
                'depth'            => '1',
                'type'             => 'job-offer',
                'active'           => '1',
            ),
            238 => array(
                'id'               => '239',
                'translation_lang' => 'fr',
                'translation_of'   => '86',
                'parent_id'        => '85',
                'name'             => 'Agriculture - Environnement',
                'slug'             => 'agriculture-environnement',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            239 => array(
                'id'               => '240',
                'translation_lang' => 'fr',
                'translation_of'   => '87',
                'parent_id'        => '85',
                'name'             => 'Assistanat - Secrétariat - Accueil',
                'slug'             => 'assistanat-secretariat-accueil',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            240 => array(
                'id'               => '241',
                'translation_lang' => 'fr',
                'translation_of'   => '88',
                'parent_id'        => '85',
                'name'             => 'Automobile - Mécanicien',
                'slug'             => 'automobile-mecanicien',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            241 => array(
                'id'               => '242',
                'translation_lang' => 'fr',
                'translation_of'   => '89',
                'parent_id'        => '85',
                'name'             => 'Autres offres d\'emploi',
                'slug'             => 'autres-offres-demploi',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            242 => array(
                'id'               => '243',
                'translation_lang' => 'fr',
                'translation_of'   => '90',
                'parent_id'        => '85',
                'name'             => 'BTP - Bâtiment Emplois',
                'slug'             => 'btp-batiment-emplois',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            243 => array(
                'id'               => '244',
                'translation_lang' => 'fr',
                'translation_of'   => '91',
                'parent_id'        => '85',
                'name'             => 'Commerce - Prestation de proximité',
                'slug'             => 'commerce-prestation-de-proximite',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            244 => array(
                'id'               => '245',
                'translation_lang' => 'fr',
                'translation_of'   => '92',
                'parent_id'        => '85',
                'name'             => 'Commercial - Vente - Distribution',
                'slug'             => 'commercial-vente-distribution',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            245 => array(
                'id'               => '246',
                'translation_lang' => 'fr',
                'translation_of'   => '93',
                'parent_id'        => '85',
                'name'             => 'Comptabilité - Gestion - Finance',
                'slug'             => 'comptabilite-gestion-finance',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            246 => array(
                'id'               => '247',
                'translation_lang' => 'fr',
                'translation_of'   => '94',
                'parent_id'        => '85',
                'name'             => 'Direction - Responsable - Manager',
                'slug'             => 'direction-responsable-manager',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            247 => array(
                'id'               => '248',
                'translation_lang' => 'fr',
                'translation_of'   => '95',
                'parent_id'        => '85',
                'name'             => 'Esthétique - Coiffure - Beauté',
                'slug'             => 'esthetique-coiffure-beaute',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            248 => array(
                'id'               => '249',
                'translation_lang' => 'fr',
                'translation_of'   => '96',
                'parent_id'        => '85',
                'name'             => 'Fonction publique Emplois',
                'slug'             => 'fonction-publique-emplois',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            249 => array(
                'id'               => '250',
                'translation_lang' => 'fr',
                'translation_of'   => '97',
                'parent_id'        => '85',
                'name'             => 'Immobilier Emplois',
                'slug'             => 'immobilier-emplois',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            250 => array(
                'id'               => '251',
                'translation_lang' => 'fr',
                'translation_of'   => '98',
                'parent_id'        => '85',
                'name'             => 'Indépendant - Freelance - Télétravail',
                'slug'             => 'independant-freelance-teletravail',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            251 => array(
                'id'               => '252',
                'translation_lang' => 'fr',
                'translation_of'   => '99',
                'parent_id'        => '85',
                'name'             => 'Informatique - Internet - Télécom - IT',
                'slug'             => 'informatique-internet-telecom-it',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            252 => array(
                'id'               => '253',
                'translation_lang' => 'fr',
                'translation_of'   => '100',
                'parent_id'        => '85',
                'name'             => 'Ingénierie - Industrie - Production',
                'slug'             => 'ingenierie-industrie-production',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            253 => array(
                'id'               => '254',
                'translation_lang' => 'fr',
                'translation_of'   => '101',
                'parent_id'        => '85',
                'name'             => 'Marketing - Communication',
                'slug'             => 'marketing-communication',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            254 => array(
                'id'               => '255',
                'translation_lang' => 'fr',
                'translation_of'   => '102',
                'parent_id'        => '85',
                'name'             => 'Nounou - Garde d\'enfants',
                'slug'             => 'nounou-garde-denfants',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            255 => array(
                'id'               => '256',
                'translation_lang' => 'fr',
                'translation_of'   => '103',
                'parent_id'        => '85',
                'name'             => 'RH - Formation - Enseignement',
                'slug'             => 'rh-formation-enseignement',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            256 => array(
                'id'               => '257',
                'translation_lang' => 'fr',
                'translation_of'   => '104',
                'parent_id'        => '85',
                'name'             => 'Santé - Paramédical - Social',
                'slug'             => 'sante-paramedical-social',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            257 => array(
                'id'               => '258',
                'translation_lang' => 'fr',
                'translation_of'   => '105',
                'parent_id'        => '85',
                'name'             => 'Sécurité - Gardiennage',
                'slug'             => 'securite-gardiennage',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            258 => array(
                'id'               => '259',
                'translation_lang' => 'fr',
                'translation_of'   => '106',
                'parent_id'        => '85',
                'name'             => 'Services Ménagers - Entretien Ménager',
                'slug'             => 'services-menagers-entretien-menager',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            259 => array(
                'id'               => '260',
                'translation_lang' => 'fr',
                'translation_of'   => '107',
                'parent_id'        => '85',
                'name'             => 'Tourisme - Hôtellerie - Restauration - Loisirs',
                'slug'             => 'tourisme-hotellerie-restauration-loisirs',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            260 => array(
                'id'               => '261',
                'translation_lang' => 'fr',
                'translation_of'   => '108',
                'parent_id'        => '85',
                'name'             => 'Transport - Logistique',
                'slug'             => 'transport-logistique',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            261 => array(
                'id'               => '262',
                'translation_lang' => 'fr',
                'translation_of'   => '109',
                'parent_id'        => '0',
                'name'             => 'Recherche Emploi',
                'slug'             => 'recherche-emploi',
                'description'      => null,
                'picture'          => 'fa-search.png',
                'css_class'        => 'icon-search',
                'lft'              => '12',
                'rgt'              => '13',
                'depth'            => '1',
                'type'             => 'job-search',
                'active'           => '1',
            ),
            262 => array(
                'id'               => '263',
                'translation_lang' => 'fr',
                'translation_of'   => '110',
                'parent_id'        => '109',
                'name'             => 'Agriculture - Environnement',
                'slug'             => 'agriculture-environnement',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            263 => array(
                'id'               => '264',
                'translation_lang' => 'fr',
                'translation_of'   => '111',
                'parent_id'        => '109',
                'name'             => 'Assistanat - Secrétariat - Accueil',
                'slug'             => 'assistanat-secretariat-accueil',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            264 => array(
                'id'               => '265',
                'translation_lang' => 'fr',
                'translation_of'   => '112',
                'parent_id'        => '109',
                'name'             => 'Automobile - Mécanicien',
                'slug'             => 'automobile-mecanicien',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            265 => array(
                'id'               => '266',
                'translation_lang' => 'fr',
                'translation_of'   => '113',
                'parent_id'        => '109',
                'name'             => 'Autres recherche d\'emploi',
                'slug'             => 'autres-recherche-demploi',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            266 => array(
                'id'               => '267',
                'translation_lang' => 'fr',
                'translation_of'   => '114',
                'parent_id'        => '109',
                'name'             => 'BTP - Bâtiment Emploi',
                'slug'             => 'btp-batiment-emploi',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            267 => array(
                'id'               => '268',
                'translation_lang' => 'fr',
                'translation_of'   => '115',
                'parent_id'        => '109',
                'name'             => 'Commerce - Prestation de proximité',
                'slug'             => 'commerce-prestation-de-proximite',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            268 => array(
                'id'               => '269',
                'translation_lang' => 'fr',
                'translation_of'   => '116',
                'parent_id'        => '109',
                'name'             => 'Commercial - Vente - Distribution',
                'slug'             => 'commercial-vente-distribution',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            269 => array(
                'id'               => '270',
                'translation_lang' => 'fr',
                'translation_of'   => '117',
                'parent_id'        => '109',
                'name'             => 'Comptabilité - Gestion - Finance',
                'slug'             => 'comptabilite-gestion-finance',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            270 => array(
                'id'               => '271',
                'translation_lang' => 'fr',
                'translation_of'   => '118',
                'parent_id'        => '109',
                'name'             => 'Direction - Responsable - Manager',
                'slug'             => 'direction-responsable-manager',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            271 => array(
                'id'               => '272',
                'translation_lang' => 'fr',
                'translation_of'   => '119',
                'parent_id'        => '109',
                'name'             => 'Esthétique - Coiffure - Beauté',
                'slug'             => 'esthetique-coiffure-beaute',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            272 => array(
                'id'               => '273',
                'translation_lang' => 'fr',
                'translation_of'   => '120',
                'parent_id'        => '109',
                'name'             => 'Fonction publique Emploi',
                'slug'             => 'fonction-publique-emploi',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            273 => array(
                'id'               => '274',
                'translation_lang' => 'fr',
                'translation_of'   => '121',
                'parent_id'        => '109',
                'name'             => 'Immobilier Emploi',
                'slug'             => 'immobilier-emploi',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            274 => array(
                'id'               => '275',
                'translation_lang' => 'fr',
                'translation_of'   => '122',
                'parent_id'        => '109',
                'name'             => 'Indépendant - Freelance - Télétravail',
                'slug'             => 'independant-freelance-teletravail',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            275 => array(
                'id'               => '276',
                'translation_lang' => 'fr',
                'translation_of'   => '123',
                'parent_id'        => '109',
                'name'             => 'Informatique - Internet - Télécom - IT',
                'slug'             => 'informatique-internet-telecom-it',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            276 => array(
                'id'               => '277',
                'translation_lang' => 'fr',
                'translation_of'   => '124',
                'parent_id'        => '109',
                'name'             => 'Ingénierie - Industrie - Production',
                'slug'             => 'ingenierie-industrie-production',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            277 => array(
                'id'               => '278',
                'translation_lang' => 'fr',
                'translation_of'   => '125',
                'parent_id'        => '109',
                'name'             => 'Marketing - Communication',
                'slug'             => 'marketing-communication',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            278 => array(
                'id'               => '279',
                'translation_lang' => 'fr',
                'translation_of'   => '126',
                'parent_id'        => '109',
                'name'             => 'Nounou - Garde d\'enfants',
                'slug'             => 'nounou-garde-denfants',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            279 => array(
                'id'               => '280',
                'translation_lang' => 'fr',
                'translation_of'   => '127',
                'parent_id'        => '109',
                'name'             => 'RH - Formation - Enseignement',
                'slug'             => 'rh-formation-enseignement',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            280 => array(
                'id'               => '281',
                'translation_lang' => 'fr',
                'translation_of'   => '128',
                'parent_id'        => '109',
                'name'             => 'Santé - Paramédical - Social',
                'slug'             => 'sante-paramedical-social',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            281 => array(
                'id'               => '282',
                'translation_lang' => 'fr',
                'translation_of'   => '129',
                'parent_id'        => '109',
                'name'             => 'Sécurité - Gardiennage',
                'slug'             => 'securite-gardiennage',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            282 => array(
                'id'               => '283',
                'translation_lang' => 'fr',
                'translation_of'   => '130',
                'parent_id'        => '109',
                'name'             => 'Services Ménagers - Entretien Ménager',
                'slug'             => 'services-menagers-entretien-menager',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            283 => array(
                'id'               => '284',
                'translation_lang' => 'fr',
                'translation_of'   => '131',
                'parent_id'        => '109',
                'name'             => 'Tourisme - Hôtellerie - Restauration - Loisirs',
                'slug'             => 'tourisme-hotellerie-restauration-loisirs',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            284 => array(
                'id'               => '285',
                'translation_lang' => 'fr',
                'translation_of'   => '132',
                'parent_id'        => '109',
                'name'             => 'Transport - Logistique',
                'slug'             => 'transport-logistique',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            285 => array(
                'id'               => '286',
                'translation_lang' => 'fr',
                'translation_of'   => '133',
                'parent_id'        => '0',
                'name'             => 'Formations',
                'slug'             => 'formations',
                'description'      => null,
                'picture'          => 'fa-graduation-cap.png',
                'css_class'        => 'icon-book-open',
                'lft'              => '18',
                'rgt'              => '19',
                'depth'            => '1',
                'type'             => null,
                'active'           => '1',
            ),
            286 => array(
                'id'               => '287',
                'translation_lang' => 'fr',
                'translation_of'   => '134',
                'parent_id'        => '133',
                'name'             => 'Cours de Langues',
                'slug'             => 'cours-de-langues',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            287 => array(
                'id'               => '288',
                'translation_lang' => 'fr',
                'translation_of'   => '135',
                'parent_id'        => '133',
                'name'             => 'Cours Informatique',
                'slug'             => 'cours-informatique',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            288 => array(
                'id'               => '289',
                'translation_lang' => 'fr',
                'translation_of'   => '136',
                'parent_id'        => '133',
                'name'             => 'Cours Particuliers',
                'slug'             => 'cours-particuliers',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            289 => array(
                'id'               => '290',
                'translation_lang' => 'fr',
                'translation_of'   => '137',
                'parent_id'        => '133',
                'name'             => 'Formation Professionnelle',
                'slug'             => 'formation-professionnelle',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            290 => array(
                'id'               => '291',
                'translation_lang' => 'fr',
                'translation_of'   => '138',
                'parent_id'        => '133',
                'name'             => 'Maths, physique, chimie',
                'slug'             => 'maths-physique-chimie',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            291 => array(
                'id'               => '292',
                'translation_lang' => 'fr',
                'translation_of'   => '139',
                'parent_id'        => '133',
                'name'             => 'Musique, Théâtre, Danse',
                'slug'             => 'musique-theatre-danse',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            292 => array(
                'id'               => '293',
                'translation_lang' => 'fr',
                'translation_of'   => '140',
                'parent_id'        => '133',
                'name'             => 'Soutien scolaire',
                'slug'             => 'soutien-scolaire',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            293 => array(
                'id'               => '294',
                'translation_lang' => 'fr',
                'translation_of'   => '141',
                'parent_id'        => '0',
                'name'             => 'Evénements',
                'slug'             => 'evenements',
                'description'      => null,
                'picture'          => 'fa-calendar.png',
                'css_class'        => 'icon-megaphone-1',
                'lft'              => '16',
                'rgt'              => '17',
                'depth'            => '1',
                'type'             => null,
                'active'           => '1',
            ),
            294 => array(
                'id'               => '295',
                'translation_lang' => 'fr',
                'translation_of'   => '142',
                'parent_id'        => '141',
                'name'             => 'Concerts et festivals',
                'slug'             => 'concerts-et-festivals',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            295 => array(
                'id'               => '296',
                'translation_lang' => 'fr',
                'translation_of'   => '143',
                'parent_id'        => '141',
                'name'             => 'Réseautage et Meetups',
                'slug'             => 'reseautage-et-meetups',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            296 => array(
                'id'               => '297',
                'translation_lang' => 'fr',
                'translation_of'   => '144',
                'parent_id'        => '141',
                'name'             => 'Sport et Loisirs',
                'slug'             => 'sport-et-loisirs',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            297 => array(
                'id'               => '298',
                'translation_lang' => 'fr',
                'translation_of'   => '145',
                'parent_id'        => '141',
                'name'             => 'Salons et Congrès',
                'slug'             => 'salons-et-congres',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            298 => array(
                'id'               => '299',
                'translation_lang' => 'fr',
                'translation_of'   => '146',
                'parent_id'        => '141',
                'name'             => 'Formations & Séminaires',
                'slug'             => 'formations-seminaires',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            299 => array(
                'id'               => '300',
                'translation_lang' => 'fr',
                'translation_of'   => '147',
                'parent_id'        => '141',
                'name'             => 'Cérémonies',
                'slug'             => 'ceremonies',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            300 => array(
                'id'               => '301',
                'translation_lang' => 'fr',
                'translation_of'   => '148',
                'parent_id'        => '141',
                'name'             => 'Conférences',
                'slug'             => 'conferences',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            301 => array(
                'id'               => '302',
                'translation_lang' => 'fr',
                'translation_of'   => '149',
                'parent_id'        => '141',
                'name'             => 'Mariages',
                'slug'             => 'mariages',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            302 => array(
                'id'               => '303',
                'translation_lang' => 'fr',
                'translation_of'   => '150',
                'parent_id'        => '141',
                'name'             => 'Anniversaires',
                'slug'             => 'anniversaires',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            303 => array(
                'id'               => '304',
                'translation_lang' => 'fr',
                'translation_of'   => '151',
                'parent_id'        => '141',
                'name'             => 'Les événements familiaux',
                'slug'             => 'les-evenements-familiaux',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            304 => array(
                'id'               => '305',
                'translation_lang' => 'fr',
                'translation_of'   => '152',
                'parent_id'        => '141',
                'name'             => 'Vie nocturne',
                'slug'             => 'vie-nocturne',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            305 => array(
                'id'               => '306',
                'translation_lang' => 'fr',
                'translation_of'   => '153',
                'parent_id'        => '141',
                'name'             => 'Autres événements',
                'slug'             => 'autres-evenements',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            306 => array(
                'id'               => '307',
                'translation_lang' => 'es',
                'translation_of'   => '1',
                'parent_id'        => '0',
                'name'             => 'Automovilismo',
                'slug'             => 'automovilismo',
                'description'      => null,
                'picture'          => 'fa-car.png',
                'css_class'        => 'fa fa-car',
                'lft'              => '4',
                'rgt'              => '5',
                'depth'            => '1',
                'type'             => null,
                'active'           => '1',
            ),
            307 => array(
                'id'               => '308',
                'translation_lang' => 'es',
                'translation_of'   => '2',
                'parent_id'        => '1',
                'name'             => 'Auto Parts, Accessories',
                'slug'             => 'auto-parts-accessories',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            308 => array(
                'id'               => '309',
                'translation_lang' => 'es',
                'translation_of'   => '3',
                'parent_id'        => '1',
                'name'             => 'Car, Motorcycle Rental',
                'slug'             => 'car-motorcycle-rental',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            309 => array(
                'id'               => '310',
                'translation_lang' => 'es',
                'translation_of'   => '4',
                'parent_id'        => '1',
                'name'             => 'Caravan and Boating',
                'slug'             => 'caravan-and-boating',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            310 => array(
                'id'               => '311',
                'translation_lang' => 'es',
                'translation_of'   => '5',
                'parent_id'        => '1',
                'name'             => 'Motorcycle parts, Accessories',
                'slug'             => 'motorcycle-parts-accessories',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            311 => array(
                'id'               => '312',
                'translation_lang' => 'es',
                'translation_of'   => '6',
                'parent_id'        => '1',
                'name'             => 'Motorcycles, Scooters, Quads',
                'slug'             => 'motorcycles-scooters-quads',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            312 => array(
                'id'               => '313',
                'translation_lang' => 'es',
                'translation_of'   => '7',
                'parent_id'        => '1',
                'name'             => 'Used Cars - New Cars',
                'slug'             => 'used-cars-new-cars',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            313 => array(
                'id'               => '314',
                'translation_lang' => 'es',
                'translation_of'   => '8',
                'parent_id'        => '1',
                'name'             => 'Utility Vehicles, Machinery',
                'slug'             => 'utility-vehicles-machinery',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            314 => array(
                'id'               => '315',
                'translation_lang' => 'es',
                'translation_of'   => '9',
                'parent_id'        => '0',
                'name'             => 'Bienes raíces',
                'slug'             => 'bienes-raices',
                'description'      => null,
                'picture'          => 'fa-home.png',
                'css_class'        => 'icon-home',
                'lft'              => '6',
                'rgt'              => '7',
                'depth'            => '1',
                'type'             => null,
                'active'           => '1',
            ),
            315 => array(
                'id'               => '316',
                'translation_lang' => 'es',
                'translation_of'   => '10',
                'parent_id'        => '9',
                'name'             => 'Commercial Property - Offices - Premises',
                'slug'             => 'commercial-property-offices-premises',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            316 => array(
                'id'               => '317',
                'translation_lang' => 'es',
                'translation_of'   => '11',
                'parent_id'        => '9',
                'name'             => 'I\'m looking for',
                'slug'             => 'im-looking-for',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            317 => array(
                'id'               => '318',
                'translation_lang' => 'es',
                'translation_of'   => '12',
                'parent_id'        => '9',
                'name'             => 'Roomates',
                'slug'             => 'roomates',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            318 => array(
                'id'               => '319',
                'translation_lang' => 'es',
                'translation_of'   => '13',
                'parent_id'        => '9',
                'name'             => 'Accommodation and Hotels',
                'slug'             => 'accommodation-and-hotels',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            319 => array(
                'id'               => '320',
                'translation_lang' => 'es',
                'translation_of'   => '14',
                'parent_id'        => '9',
                'name'             => 'Vacation Rental',
                'slug'             => 'vacation-rental',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            320 => array(
                'id'               => '321',
                'translation_lang' => 'es',
                'translation_of'   => '15',
                'parent_id'        => '9',
                'name'             => 'Garage, Parking, Farms',
                'slug'             => 'garage-parking-farms',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            321 => array(
                'id'               => '322',
                'translation_lang' => 'es',
                'translation_of'   => '16',
                'parent_id'        => '9',
                'name'             => 'Real Estate Services',
                'slug'             => 'real-estate-services',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            322 => array(
                'id'               => '323',
                'translation_lang' => 'es',
                'translation_of'   => '17',
                'parent_id'        => '9',
                'name'             => 'Rooms - Studio for Rent',
                'slug'             => 'rooms-studio-for-rent',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            323 => array(
                'id'               => '324',
                'translation_lang' => 'es',
                'translation_of'   => '18',
                'parent_id'        => '9',
                'name'             => 'Land for Sale, Rent',
                'slug'             => 'land-for-sale-rent',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            324 => array(
                'id'               => '325',
                'translation_lang' => 'es',
                'translation_of'   => '19',
                'parent_id'        => '9',
                'name'             => 'Property for sale',
                'slug'             => 'property-for-sale',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            325 => array(
                'id'               => '326',
                'translation_lang' => 'es',
                'translation_of'   => '20',
                'parent_id'        => '9',
                'name'             => 'Rentals',
                'slug'             => 'rentals',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            326 => array(
                'id'               => '327',
                'translation_lang' => 'es',
                'translation_of'   => '21',
                'parent_id'        => '0',
                'name'             => 'Servicios',
                'slug'             => 'servicios',
                'description'      => null,
                'picture'          => 'ion-clipboard.png',
                'css_class'        => 'fa fa-briefcase',
                'lft'              => '10',
                'rgt'              => '11',
                'depth'            => '1',
                'type'             => 'service',
                'active'           => '1',
            ),
            327 => array(
                'id'               => '328',
                'translation_lang' => 'es',
                'translation_of'   => '22',
                'parent_id'        => '21',
                'name'             => 'Other services',
                'slug'             => 'other-services',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            328 => array(
                'id'               => '329',
                'translation_lang' => 'es',
                'translation_of'   => '23',
                'parent_id'        => '21',
                'name'             => 'Casting, Model, Photographer',
                'slug'             => 'casting-model-photographer',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            329 => array(
                'id'               => '330',
                'translation_lang' => 'es',
                'translation_of'   => '24',
                'parent_id'        => '21',
                'name'             => 'Carpooling',
                'slug'             => 'carpooling',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            330 => array(
                'id'               => '331',
                'translation_lang' => 'es',
                'translation_of'   => '25',
                'parent_id'        => '21',
                'name'             => 'Moving, Furniture Guard',
                'slug'             => 'moving-furniture-guard',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            331 => array(
                'id'               => '332',
                'translation_lang' => 'es',
                'translation_of'   => '26',
                'parent_id'        => '21',
                'name'             => 'Destocking - Commercial',
                'slug'             => 'destocking-commercial',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            332 => array(
                'id'               => '333',
                'translation_lang' => 'es',
                'translation_of'   => '27',
                'parent_id'        => '21',
                'name'             => 'Industrial Equipment',
                'slug'             => 'industrial-equipment',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            333 => array(
                'id'               => '334',
                'translation_lang' => 'es',
                'translation_of'   => '28',
                'parent_id'        => '21',
                'name'             => 'Aesthetics, Hairstyling',
                'slug'             => 'aesthetics-hairstyling',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            334 => array(
                'id'               => '335',
                'translation_lang' => 'es',
                'translation_of'   => '29',
                'parent_id'        => '21',
                'name'             => 'Horoscope - Tarot - Healers - Spell',
                'slug'             => 'horoscope-tarot-healers-spell',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            335 => array(
                'id'               => '336',
                'translation_lang' => 'es',
                'translation_of'   => '30',
                'parent_id'        => '21',
                'name'             => 'Materials and Equipment Pro',
                'slug'             => 'materials-and-equipment-pro',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            336 => array(
                'id'               => '337',
                'translation_lang' => 'es',
                'translation_of'   => '31',
                'parent_id'        => '21',
                'name'             => 'Event Organization Services',
                'slug'             => 'event-organization-services',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            337 => array(
                'id'               => '338',
                'translation_lang' => 'es',
                'translation_of'   => '32',
                'parent_id'        => '21',
                'name'             => 'Service Provision',
                'slug'             => 'service-provision',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            338 => array(
                'id'               => '339',
                'translation_lang' => 'es',
                'translation_of'   => '33',
                'parent_id'        => '21',
                'name'             => 'Health, Beauty',
                'slug'             => 'health-beauty',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            339 => array(
                'id'               => '340',
                'translation_lang' => 'es',
                'translation_of'   => '34',
                'parent_id'        => '21',
                'name'             => 'Artisan, Troubleshooting, Handyman',
                'slug'             => 'artisan-troubleshooting-handyman',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            340 => array(
                'id'               => '341',
                'translation_lang' => 'es',
                'translation_of'   => '35',
                'parent_id'        => '21',
                'name'             => 'Computing Services',
                'slug'             => 'computing-services',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            341 => array(
                'id'               => '342',
                'translation_lang' => 'es',
                'translation_of'   => '36',
                'parent_id'        => '21',
                'name'             => 'Tourism and Travel Services',
                'slug'             => 'tourism-and-travel-services',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            342 => array(
                'id'               => '343',
                'translation_lang' => 'es',
                'translation_of'   => '37',
                'parent_id'        => '21',
                'name'             => 'Translation, Writing',
                'slug'             => 'translation-writing',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            343 => array(
                'id'               => '344',
                'translation_lang' => 'es',
                'translation_of'   => '38',
                'parent_id'        => '21',
                'name'             => 'Construction - Renovation - Carpentry',
                'slug'             => 'construction-renovation-carpentry',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            344 => array(
                'id'               => '345',
                'translation_lang' => 'es',
                'translation_of'   => '39',
                'parent_id'        => '0',
                'name'             => 'Comunidad y Ocio',
                'slug'             => 'comunidad-ocio',
                'description'      => null,
                'picture'          => 'fa-users.png',
                'css_class'        => 'icon-theatre',
                'lft'              => '20',
                'rgt'              => '21',
                'depth'            => '1',
                'type'             => null,
                'active'           => '1',
            ),
            345 => array(
                'id'               => '346',
                'translation_lang' => 'es',
                'translation_of'   => '40',
                'parent_id'        => '39',
                'name'             => 'Sporting goods, Exercise',
                'slug'             => 'sporting-goods-exercise',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            346 => array(
                'id'               => '347',
                'translation_lang' => 'es',
                'translation_of'   => '41',
                'parent_id'        => '39',
                'name'             => 'Artists, Musicians',
                'slug'             => 'artists-musicians',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            347 => array(
                'id'               => '348',
                'translation_lang' => 'es',
                'translation_of'   => '42',
                'parent_id'        => '39',
                'name'             => 'Associations, Voluntary',
                'slug'             => 'associations-voluntary',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            348 => array(
                'id'               => '349',
                'translation_lang' => 'es',
                'translation_of'   => '43',
                'parent_id'        => '39',
                'name'             => 'Friendships for Events',
                'slug'             => 'friendships-for-events',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            349 => array(
                'id'               => '350',
                'translation_lang' => 'es',
                'translation_of'   => '44',
                'parent_id'        => '39',
                'name'             => 'My neighborhood',
                'slug'             => 'my-neighborhood',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            350 => array(
                'id'               => '351',
                'translation_lang' => 'es',
                'translation_of'   => '45',
                'parent_id'        => '39',
                'name'             => 'Nightlife, Restaurant & Bar',
                'slug'             => 'nightlife-restaurant-bar',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            351 => array(
                'id'               => '352',
                'translation_lang' => 'es',
                'translation_of'   => '46',
                'parent_id'        => '39',
                'name'             => 'Outings, Entertainment',
                'slug'             => 'outings-entertainment',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            352 => array(
                'id'               => '353',
                'translation_lang' => 'es',
                'translation_of'   => '47',
                'parent_id'        => '0',
                'name'             => 'Multimedia',
                'slug'             => 'multimedia',
                'description'      => null,
                'picture'          => 'fa-laptop.png',
                'css_class'        => 'icon-laptop',
                'lft'              => '2',
                'rgt'              => '3',
                'depth'            => '1',
                'type'             => null,
                'active'           => '1',
            ),
            353 => array(
                'id'               => '354',
                'translation_lang' => 'es',
                'translation_of'   => '48',
                'parent_id'        => '47',
                'name'             => 'Multimedia & Phones Accessories',
                'slug'             => 'multimedia-phones-accessories',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            354 => array(
                'id'               => '355',
                'translation_lang' => 'es',
                'translation_of'   => '49',
                'parent_id'        => '47',
                'name'             => 'CD/DVD - Books - Movies',
                'slug'             => 'cddvd-books-movies',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            355 => array(
                'id'               => '356',
                'translation_lang' => 'es',
                'translation_of'   => '50',
                'parent_id'        => '47',
                'name'             => 'Consoles - Video Games',
                'slug'             => 'consoles-video-games',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            356 => array(
                'id'               => '357',
                'translation_lang' => 'es',
                'translation_of'   => '51',
                'parent_id'        => '47',
                'name'             => 'Computers - PC - Office Supplies',
                'slug'             => 'computers-pc-office-supplies',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            357 => array(
                'id'               => '358',
                'translation_lang' => 'es',
                'translation_of'   => '52',
                'parent_id'        => '47',
                'name'             => 'Wanted',
                'slug'             => 'wanted',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            358 => array(
                'id'               => '359',
                'translation_lang' => 'es',
                'translation_of'   => '53',
                'parent_id'        => '47',
                'name'             => 'Tablets - Touchscreens',
                'slug'             => 'tablets-touchscreens',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            359 => array(
                'id'               => '360',
                'translation_lang' => 'es',
                'translation_of'   => '54',
                'parent_id'        => '47',
                'name'             => 'Mobiles phones - Smartphones',
                'slug'             => 'mobiles-phones-smartphones',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            360 => array(
                'id'               => '361',
                'translation_lang' => 'es',
                'translation_of'   => '55',
                'parent_id'        => '47',
                'name'             => 'TV - Images - Sound',
                'slug'             => 'tv-images-sound',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            361 => array(
                'id'               => '362',
                'translation_lang' => 'es',
                'translation_of'   => '56',
                'parent_id'        => '47',
                'name'             => 'Clearance - Commercial',
                'slug'             => 'clearance-commercial',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            362 => array(
                'id'               => '363',
                'translation_lang' => 'es',
                'translation_of'   => '57',
                'parent_id'        => '47',
                'name'             => 'Industrial Equipment',
                'slug'             => 'industrial-equipment',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            363 => array(
                'id'               => '364',
                'translation_lang' => 'es',
                'translation_of'   => '58',
                'parent_id'        => '47',
                'name'             => 'Materials & Professional equipment',
                'slug'             => 'materials-professional-equipment',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            364 => array(
                'id'               => '365',
                'translation_lang' => 'es',
                'translation_of'   => '59',
                'parent_id'        => '0',
                'name'             => 'Moda, Hogar y Jardín',
                'slug'             => 'moda-hogar-jardin',
                'description'      => null,
                'picture'          => 'fa-home.png',
                'css_class'        => 'icon-basket-1',
                'lft'              => '8',
                'rgt'              => '9',
                'depth'            => '1',
                'type'             => null,
                'active'           => '1',
            ),
            365 => array(
                'id'               => '366',
                'translation_lang' => 'es',
                'translation_of'   => '60',
                'parent_id'        => '59',
                'name'             => 'Furniture - Tableware',
                'slug'             => 'furniture-tableware',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            366 => array(
                'id'               => '367',
                'translation_lang' => 'es',
                'translation_of'   => '61',
                'parent_id'        => '59',
                'name'             => 'Antiques - Art - Decoration',
                'slug'             => 'antiques-art-decoration',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            367 => array(
                'id'               => '368',
                'translation_lang' => 'es',
                'translation_of'   => '62',
                'parent_id'        => '59',
                'name'             => 'Appliances',
                'slug'             => 'appliances',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            368 => array(
                'id'               => '369',
                'translation_lang' => 'es',
                'translation_of'   => '63',
                'parent_id'        => '59',
                'name'             => 'Jewelry - Watches - Luggage',
                'slug'             => 'jewelry-watches-luggage',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            369 => array(
                'id'               => '370',
                'translation_lang' => 'es',
                'translation_of'   => '64',
                'parent_id'        => '59',
                'name'             => 'DIY - Gardening',
                'slug'             => 'diy-gardening',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            370 => array(
                'id'               => '371',
                'translation_lang' => 'es',
                'translation_of'   => '65',
                'parent_id'        => '59',
                'name'             => 'Various flea markets',
                'slug'             => 'various-flea-markets',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            371 => array(
                'id'               => '372',
                'translation_lang' => 'es',
                'translation_of'   => '66',
                'parent_id'        => '59',
                'name'             => 'Shoes',
                'slug'             => 'shoes',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            372 => array(
                'id'               => '373',
                'translation_lang' => 'es',
                'translation_of'   => '67',
                'parent_id'        => '59',
                'name'             => 'Toys - Games - Figurines',
                'slug'             => 'toys-games-figurines',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            373 => array(
                'id'               => '374',
                'translation_lang' => 'es',
                'translation_of'   => '68',
                'parent_id'        => '59',
                'name'             => 'Clothing, Fashion & Accessories',
                'slug'             => 'clothing-fashion-accessories',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            374 => array(
                'id'               => '375',
                'translation_lang' => 'es',
                'translation_of'   => '69',
                'parent_id'        => '59',
                'name'             => 'Stuffs for Baby and Child',
                'slug'             => 'stuffs-for-baby-and-child',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            375 => array(
                'id'               => '376',
                'translation_lang' => 'es',
                'translation_of'   => '70',
                'parent_id'        => '59',
                'name'             => 'Stuffs for Beauty and Health',
                'slug'             => 'stuffs-for-beauty-and-health',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            376 => array(
                'id'               => '377',
                'translation_lang' => 'es',
                'translation_of'   => '71',
                'parent_id'        => '59',
                'name'             => 'Wine & Gourmet - Recipes',
                'slug'             => 'wine-gourmet-recipes',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            377 => array(
                'id'               => '378',
                'translation_lang' => 'es',
                'translation_of'   => '72',
                'parent_id'        => '0',
                'name'             => 'Animales y mascotas',
                'slug'             => 'animales-mascotas',
                'description'      => null,
                'picture'          => 'map-icon-pet-store.png',
                'css_class'        => 'icon-guidedog',
                'lft'              => '22',
                'rgt'              => '23',
                'depth'            => '1',
                'type'             => null,
                'active'           => '1',
            ),
            378 => array(
                'id'               => '379',
                'translation_lang' => 'es',
                'translation_of'   => '73',
                'parent_id'        => '72',
                'name'             => 'Accessories - Other Pets services',
                'slug'             => 'accessories-other-pets-services',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            379 => array(
                'id'               => '380',
                'translation_lang' => 'es',
                'translation_of'   => '74',
                'parent_id'        => '72',
                'name'             => 'Sales, Adoptions, Lost',
                'slug'             => 'sales-adoptions-lost',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            380 => array(
                'id'               => '381',
                'translation_lang' => 'es',
                'translation_of'   => '75',
                'parent_id'        => '0',
                'name'             => 'Citas gratuito',
                'slug'             => 'citas-gratuito',
                'description'      => null,
                'picture'          => 'ion-ios-heart.png',
                'css_class'        => 'icon-heart',
                'lft'              => '24',
                'rgt'              => '25',
                'depth'            => '1',
                'type'             => null,
                'active'           => '1',
            ),
            381 => array(
                'id'               => '382',
                'translation_lang' => 'es',
                'translation_of'   => '76',
                'parent_id'        => '75',
                'name'             => 'Friendship - Friends',
                'slug'             => 'friendship-friends',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            382 => array(
                'id'               => '383',
                'translation_lang' => 'es',
                'translation_of'   => '77',
                'parent_id'        => '75',
                'name'             => 'Escorts - Adult Services',
                'slug'             => 'escorts-adult-services',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            383 => array(
                'id'               => '384',
                'translation_lang' => 'es',
                'translation_of'   => '78',
                'parent_id'        => '75',
                'name'             => 'Women Seeking Women',
                'slug'             => 'women-seeking-women',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            384 => array(
                'id'               => '385',
                'translation_lang' => 'es',
                'translation_of'   => '79',
                'parent_id'        => '75',
                'name'             => 'Women Seeking Men',
                'slug'             => 'women-seeking-men',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            385 => array(
                'id'               => '386',
                'translation_lang' => 'es',
                'translation_of'   => '80',
                'parent_id'        => '75',
                'name'             => 'Men Seeking Women',
                'slug'             => 'men-seeking-women',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            386 => array(
                'id'               => '387',
                'translation_lang' => 'es',
                'translation_of'   => '81',
                'parent_id'        => '75',
                'name'             => 'Men Seeking Men',
                'slug'             => 'men-seeking-men',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            387 => array(
                'id'               => '388',
                'translation_lang' => 'es',
                'translation_of'   => '82',
                'parent_id'        => '75',
                'name'             => 'Massage Services - Relaxation',
                'slug'             => 'massage-services-relaxation',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            388 => array(
                'id'               => '389',
                'translation_lang' => 'es',
                'translation_of'   => '83',
                'parent_id'        => '75',
                'name'             => 'Adults Products - Articles',
                'slug'             => 'adults-products-articles',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            389 => array(
                'id'               => '390',
                'translation_lang' => 'es',
                'translation_of'   => '84',
                'parent_id'        => '75',
                'name'             => 'Casual Encounter',
                'slug'             => 'casual-encounter',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            390 => array(
                'id'               => '391',
                'translation_lang' => 'es',
                'translation_of'   => '85',
                'parent_id'        => '0',
                'name'             => 'Ofertas de empleo',
                'slug'             => 'ofertas-empleo',
                'description'      => null,
                'picture'          => 'mfglabs-users.png',
                'css_class'        => 'icon-megaphone-1',
                'lft'              => '14',
                'rgt'              => '15',
                'depth'            => '1',
                'type'             => 'job-offer',
                'active'           => '1',
            ),
            391 => array(
                'id'               => '392',
                'translation_lang' => 'es',
                'translation_of'   => '86',
                'parent_id'        => '85',
                'name'             => 'Agriculture - Environment',
                'slug'             => 'agriculture-environment',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            392 => array(
                'id'               => '393',
                'translation_lang' => 'es',
                'translation_of'   => '87',
                'parent_id'        => '85',
                'name'             => 'Assistantship - Secretariat - Helpdesk',
                'slug'             => 'assistantship-secretariat-helpdesk',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            393 => array(
                'id'               => '394',
                'translation_lang' => 'es',
                'translation_of'   => '88',
                'parent_id'        => '85',
                'name'             => 'Automotive - Mechanic',
                'slug'             => 'automotive-mechanic',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            394 => array(
                'id'               => '395',
                'translation_lang' => 'es',
                'translation_of'   => '89',
                'parent_id'        => '85',
                'name'             => 'Others Jobs Offer',
                'slug'             => 'others-jobs-offer',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            395 => array(
                'id'               => '396',
                'translation_lang' => 'es',
                'translation_of'   => '90',
                'parent_id'        => '85',
                'name'             => 'BTP - Construction - Building',
                'slug'             => 'btp-construction-building',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            396 => array(
                'id'               => '397',
                'translation_lang' => 'es',
                'translation_of'   => '91',
                'parent_id'        => '85',
                'name'             => 'Trade - Business Services',
                'slug'             => 'trade-business-services',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            397 => array(
                'id'               => '398',
                'translation_lang' => 'es',
                'translation_of'   => '92',
                'parent_id'        => '85',
                'name'             => 'Commercial - Sale Jobs Offer',
                'slug'             => 'commercial-sale-jobs-offer',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            398 => array(
                'id'               => '399',
                'translation_lang' => 'es',
                'translation_of'   => '93',
                'parent_id'        => '85',
                'name'             => 'Accounting - Management - Finance',
                'slug'             => 'accounting-management-finance',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            399 => array(
                'id'               => '400',
                'translation_lang' => 'es',
                'translation_of'   => '94',
                'parent_id'        => '85',
                'name'             => 'Steering - Manager',
                'slug'             => 'steering-manager',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            400 => array(
                'id'               => '401',
                'translation_lang' => 'es',
                'translation_of'   => '95',
                'parent_id'        => '85',
                'name'             => 'Aesthetics - Hair - Beauty',
                'slug'             => 'aesthetics-hair-beauty',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            401 => array(
                'id'               => '402',
                'translation_lang' => 'es',
                'translation_of'   => '96',
                'parent_id'        => '85',
                'name'             => 'Public Service Jobs Offer',
                'slug'             => 'public-service-jobs-offer',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            402 => array(
                'id'               => '403',
                'translation_lang' => 'es',
                'translation_of'   => '97',
                'parent_id'        => '85',
                'name'             => 'Real Estate Jobs Offer',
                'slug'             => 'real-estate-jobs-offer',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            403 => array(
                'id'               => '404',
                'translation_lang' => 'es',
                'translation_of'   => '98',
                'parent_id'        => '85',
                'name'             => 'Independent - Freelance - Telecommuting',
                'slug'             => 'independent-freelance-telecommuting',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            404 => array(
                'id'               => '405',
                'translation_lang' => 'es',
                'translation_of'   => '99',
                'parent_id'        => '85',
                'name'             => 'Computers - Internet - Telecommunications',
                'slug'             => 'computers-internet-telecommunications',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            405 => array(
                'id'               => '406',
                'translation_lang' => 'es',
                'translation_of'   => '100',
                'parent_id'        => '85',
                'name'             => 'Industry, Production & engineering',
                'slug'             => 'industry-production-engineering',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            406 => array(
                'id'               => '407',
                'translation_lang' => 'es',
                'translation_of'   => '101',
                'parent_id'        => '85',
                'name'             => 'Marketing - Communication',
                'slug'             => 'marketing-communication',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            407 => array(
                'id'               => '408',
                'translation_lang' => 'es',
                'translation_of'   => '102',
                'parent_id'        => '85',
                'name'             => 'Babysitting - Nanny Work',
                'slug'             => 'babysitting-nanny-work',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            408 => array(
                'id'               => '409',
                'translation_lang' => 'es',
                'translation_of'   => '103',
                'parent_id'        => '85',
                'name'             => 'HR - Training - Education',
                'slug'             => 'hr-training-education',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            409 => array(
                'id'               => '410',
                'translation_lang' => 'es',
                'translation_of'   => '104',
                'parent_id'        => '85',
                'name'             => 'Medical - Healthcare - Social',
                'slug'             => 'medical-healthcare-social',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            410 => array(
                'id'               => '411',
                'translation_lang' => 'es',
                'translation_of'   => '105',
                'parent_id'        => '85',
                'name'             => 'Security - Guarding',
                'slug'             => 'security-guarding',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            411 => array(
                'id'               => '412',
                'translation_lang' => 'es',
                'translation_of'   => '106',
                'parent_id'        => '85',
                'name'             => 'Household Services - Housekeeping',
                'slug'             => 'household-services-housekeeping',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            412 => array(
                'id'               => '413',
                'translation_lang' => 'es',
                'translation_of'   => '107',
                'parent_id'        => '85',
                'name'             => 'Tourism - Hotels - Restaurants - Leisure',
                'slug'             => 'tourism-hotels-restaurants-leisure',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            413 => array(
                'id'               => '414',
                'translation_lang' => 'es',
                'translation_of'   => '108',
                'parent_id'        => '85',
                'name'             => 'Transportation - Logistics',
                'slug'             => 'transportation-logistics',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            414 => array(
                'id'               => '415',
                'translation_lang' => 'es',
                'translation_of'   => '109',
                'parent_id'        => '0',
                'name'             => 'Búsqueda de trabajo',
                'slug'             => 'busqueda-trabajo',
                'description'      => null,
                'picture'          => 'fa-search.png',
                'css_class'        => 'icon-search',
                'lft'              => '12',
                'rgt'              => '13',
                'depth'            => '1',
                'type'             => 'job-search',
                'active'           => '1',
            ),
            415 => array(
                'id'               => '416',
                'translation_lang' => 'es',
                'translation_of'   => '110',
                'parent_id'        => '109',
                'name'             => 'Agriculture - Environment',
                'slug'             => 'agriculture-environment',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            416 => array(
                'id'               => '417',
                'translation_lang' => 'es',
                'translation_of'   => '111',
                'parent_id'        => '109',
                'name'             => 'Assistantship - Secretariat - Helpdesk',
                'slug'             => 'assistantship-secretariat-helpdesk',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            417 => array(
                'id'               => '418',
                'translation_lang' => 'es',
                'translation_of'   => '112',
                'parent_id'        => '109',
                'name'             => 'Automotive - Mechanic',
                'slug'             => 'automotive-mechanic',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            418 => array(
                'id'               => '419',
                'translation_lang' => 'es',
                'translation_of'   => '113',
                'parent_id'        => '109',
                'name'             => 'Others Jobs Search',
                'slug'             => 'others-jobs-search',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            419 => array(
                'id'               => '420',
                'translation_lang' => 'es',
                'translation_of'   => '114',
                'parent_id'        => '109',
                'name'             => 'BTP - Construction - Building',
                'slug'             => 'btp-construction-building',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            420 => array(
                'id'               => '421',
                'translation_lang' => 'es',
                'translation_of'   => '115',
                'parent_id'        => '109',
                'name'             => 'Trade - Business Services',
                'slug'             => 'trade-business-services',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            421 => array(
                'id'               => '422',
                'translation_lang' => 'es',
                'translation_of'   => '116',
                'parent_id'        => '109',
                'name'             => 'Commercial - Sale Jobs Search',
                'slug'             => 'commercial-sale-jobs-search',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            422 => array(
                'id'               => '423',
                'translation_lang' => 'es',
                'translation_of'   => '117',
                'parent_id'        => '109',
                'name'             => 'Accounting - Management - Finance',
                'slug'             => 'accounting-management-finance',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            423 => array(
                'id'               => '424',
                'translation_lang' => 'es',
                'translation_of'   => '118',
                'parent_id'        => '109',
                'name'             => 'Steering - Manager',
                'slug'             => 'steering-manager',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            424 => array(
                'id'               => '425',
                'translation_lang' => 'es',
                'translation_of'   => '119',
                'parent_id'        => '109',
                'name'             => 'Aesthetics - Hair - Beauty',
                'slug'             => 'aesthetics-hair-beauty',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            425 => array(
                'id'               => '426',
                'translation_lang' => 'es',
                'translation_of'   => '120',
                'parent_id'        => '109',
                'name'             => 'Public Service Jobs Search',
                'slug'             => 'public-service-jobs-search',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            426 => array(
                'id'               => '427',
                'translation_lang' => 'es',
                'translation_of'   => '121',
                'parent_id'        => '109',
                'name'             => 'Real Estate Jobs Search',
                'slug'             => 'real-estate-jobs-search',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            427 => array(
                'id'               => '428',
                'translation_lang' => 'es',
                'translation_of'   => '122',
                'parent_id'        => '109',
                'name'             => 'Independent - Freelance - Telecommuting',
                'slug'             => 'independent-freelance-telecommuting',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            428 => array(
                'id'               => '429',
                'translation_lang' => 'es',
                'translation_of'   => '123',
                'parent_id'        => '109',
                'name'             => 'Computers - Internet - Telecommunications',
                'slug'             => 'computers-internet-telecommunications',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            429 => array(
                'id'               => '430',
                'translation_lang' => 'es',
                'translation_of'   => '124',
                'parent_id'        => '109',
                'name'             => 'Industry, Production & engineering',
                'slug'             => 'industry-production-engineering',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            430 => array(
                'id'               => '431',
                'translation_lang' => 'es',
                'translation_of'   => '125',
                'parent_id'        => '109',
                'name'             => 'Marketing - Communication',
                'slug'             => 'marketing-communication',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            431 => array(
                'id'               => '432',
                'translation_lang' => 'es',
                'translation_of'   => '126',
                'parent_id'        => '109',
                'name'             => 'Babysitting - Nanny Work',
                'slug'             => 'babysitting-nanny-work',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            432 => array(
                'id'               => '433',
                'translation_lang' => 'es',
                'translation_of'   => '127',
                'parent_id'        => '109',
                'name'             => 'HR - Training - Education',
                'slug'             => 'hr-training-education',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            433 => array(
                'id'               => '434',
                'translation_lang' => 'es',
                'translation_of'   => '128',
                'parent_id'        => '109',
                'name'             => 'Medical - Healthcare - Social',
                'slug'             => 'medical-healthcare-social',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            434 => array(
                'id'               => '435',
                'translation_lang' => 'es',
                'translation_of'   => '129',
                'parent_id'        => '109',
                'name'             => 'Security - Guarding',
                'slug'             => 'security-guarding',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            435 => array(
                'id'               => '436',
                'translation_lang' => 'es',
                'translation_of'   => '130',
                'parent_id'        => '109',
                'name'             => 'Household Services - Housekeeping',
                'slug'             => 'household-services-housekeeping',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            436 => array(
                'id'               => '437',
                'translation_lang' => 'es',
                'translation_of'   => '131',
                'parent_id'        => '109',
                'name'             => 'Tourism - Hotels - Restaurants - Leisure',
                'slug'             => 'tourism-hotels-restaurants-leisure',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            437 => array(
                'id'               => '438',
                'translation_lang' => 'es',
                'translation_of'   => '132',
                'parent_id'        => '109',
                'name'             => 'Transportation - Logistics',
                'slug'             => 'transportation-logistics',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            438 => array(
                'id'               => '439',
                'translation_lang' => 'es',
                'translation_of'   => '133',
                'parent_id'        => '0',
                'name'             => 'Aprendizaje',
                'slug'             => 'aprendizaje',
                'description'      => null,
                'picture'          => 'fa-graduation-cap.png',
                'css_class'        => 'icon-book-open',
                'lft'              => '18',
                'rgt'              => '19',
                'depth'            => '1',
                'type'             => null,
                'active'           => '1',
            ),
            439 => array(
                'id'               => '440',
                'translation_lang' => 'es',
                'translation_of'   => '134',
                'parent_id'        => '133',
                'name'             => 'Language Classes',
                'slug'             => 'language-classes',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            440 => array(
                'id'               => '441',
                'translation_lang' => 'es',
                'translation_of'   => '135',
                'parent_id'        => '133',
                'name'             => 'Computer Courses',
                'slug'             => 'computer-courses',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            441 => array(
                'id'               => '442',
                'translation_lang' => 'es',
                'translation_of'   => '136',
                'parent_id'        => '133',
                'name'             => 'Tutoring, Private Lessons',
                'slug'             => 'tutoring-private-lessons',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            442 => array(
                'id'               => '443',
                'translation_lang' => 'es',
                'translation_of'   => '137',
                'parent_id'        => '133',
                'name'             => 'Vocational Training',
                'slug'             => 'vocational-training',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            443 => array(
                'id'               => '444',
                'translation_lang' => 'es',
                'translation_of'   => '138',
                'parent_id'        => '133',
                'name'             => 'Maths, Physics, Chemistry',
                'slug'             => 'maths-physics-chemistry',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            444 => array(
                'id'               => '445',
                'translation_lang' => 'es',
                'translation_of'   => '139',
                'parent_id'        => '133',
                'name'             => 'Music, Theatre, Dance',
                'slug'             => 'music-theatre-dance',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            445 => array(
                'id'               => '446',
                'translation_lang' => 'es',
                'translation_of'   => '140',
                'parent_id'        => '133',
                'name'             => 'School support',
                'slug'             => 'school-support',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            446 => array(
                'id'               => '447',
                'translation_lang' => 'es',
                'translation_of'   => '141',
                'parent_id'        => '0',
                'name'             => 'Eventos locales',
                'slug'             => 'eventos-locales',
                'description'      => null,
                'picture'          => 'fa-calendar.png',
                'css_class'        => 'icon-megaphone-1',
                'lft'              => '16',
                'rgt'              => '17',
                'depth'            => '1',
                'type'             => null,
                'active'           => '1',
            ),
            447 => array(
                'id'               => '448',
                'translation_lang' => 'es',
                'translation_of'   => '142',
                'parent_id'        => '141',
                'name'             => 'Concerts & Festivals',
                'slug'             => 'concerts-festivals',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            448 => array(
                'id'               => '449',
                'translation_lang' => 'es',
                'translation_of'   => '143',
                'parent_id'        => '141',
                'name'             => 'Networking & Meetups',
                'slug'             => 'networking-meetups',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            449 => array(
                'id'               => '450',
                'translation_lang' => 'es',
                'translation_of'   => '144',
                'parent_id'        => '141',
                'name'             => 'Sports & Outdoors',
                'slug'             => 'sports-outdoors',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            450 => array(
                'id'               => '451',
                'translation_lang' => 'es',
                'translation_of'   => '145',
                'parent_id'        => '141',
                'name'             => 'Trade Shows & Conventions',
                'slug'             => 'trade-shows-conventions',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            451 => array(
                'id'               => '452',
                'translation_lang' => 'es',
                'translation_of'   => '146',
                'parent_id'        => '141',
                'name'             => 'Training & Seminars',
                'slug'             => 'training-seminars',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            452 => array(
                'id'               => '453',
                'translation_lang' => 'es',
                'translation_of'   => '147',
                'parent_id'        => '141',
                'name'             => 'Ceremonies',
                'slug'             => 'ceremonies',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            453 => array(
                'id'               => '454',
                'translation_lang' => 'es',
                'translation_of'   => '148',
                'parent_id'        => '141',
                'name'             => 'Conferences',
                'slug'             => 'conferences',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            454 => array(
                'id'               => '455',
                'translation_lang' => 'es',
                'translation_of'   => '149',
                'parent_id'        => '141',
                'name'             => 'Weddings',
                'slug'             => 'weddings',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            455 => array(
                'id'               => '456',
                'translation_lang' => 'es',
                'translation_of'   => '150',
                'parent_id'        => '141',
                'name'             => 'Birthdays',
                'slug'             => 'birthdays',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            456 => array(
                'id'               => '457',
                'translation_lang' => 'es',
                'translation_of'   => '151',
                'parent_id'        => '141',
                'name'             => 'Family Events',
                'slug'             => 'family-events',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            457 => array(
                'id'               => '458',
                'translation_lang' => 'es',
                'translation_of'   => '152',
                'parent_id'        => '141',
                'name'             => 'Nightlife',
                'slug'             => 'nightlife',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            458 => array(
                'id'               => '459',
                'translation_lang' => 'es',
                'translation_of'   => '153',
                'parent_id'        => '141',
                'name'             => 'All others events',
                'slug'             => 'all-others-events',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            459 => array(
                'id'               => '460',
                'translation_lang' => 'pt',
                'translation_of'   => '1',
                'parent_id'        => '0',
                'name'             => 'Automobiles',
                'slug'             => 'automobiles',
                'description'      => null,
                'picture'          => 'fa-car.png',
                'css_class'        => 'fa fa-car',
                'lft'              => '8',
                'rgt'              => '9',
                'depth'            => '1',
                'type'             => null,
                'active'           => '1',
            ),
            460 => array(
                'id'               => '461',
                'translation_lang' => 'pt',
                'translation_of'   => '2',
                'parent_id'        => '1',
                'name'             => 'Auto Parts, Accessories',
                'slug'             => 'auto-parts-accessories',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            461 => array(
                'id'               => '462',
                'translation_lang' => 'pt',
                'translation_of'   => '3',
                'parent_id'        => '1',
                'name'             => 'Car, Motorcycle Rental',
                'slug'             => 'car-motorcycle-rental',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            462 => array(
                'id'               => '463',
                'translation_lang' => 'pt',
                'translation_of'   => '4',
                'parent_id'        => '1',
                'name'             => 'Caravan and Boating',
                'slug'             => 'caravan-and-boating',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            463 => array(
                'id'               => '464',
                'translation_lang' => 'pt',
                'translation_of'   => '5',
                'parent_id'        => '1',
                'name'             => 'Motorcycle parts, Accessories',
                'slug'             => 'motorcycle-parts-accessories',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            464 => array(
                'id'               => '465',
                'translation_lang' => 'pt',
                'translation_of'   => '6',
                'parent_id'        => '1',
                'name'             => 'Motorcycles, Scooters, Quads',
                'slug'             => 'motorcycles-scooters-quads',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            465 => array(
                'id'               => '466',
                'translation_lang' => 'pt',
                'translation_of'   => '7',
                'parent_id'        => '1',
                'name'             => 'Used Cars - New Cars',
                'slug'             => 'used-cars-new-cars',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            466 => array(
                'id'               => '467',
                'translation_lang' => 'pt',
                'translation_of'   => '8',
                'parent_id'        => '1',
                'name'             => 'Utility Vehicles, Machinery',
                'slug'             => 'utility-vehicles-machinery',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            467 => array(
                'id'               => '468',
                'translation_lang' => 'pt',
                'translation_of'   => '9',
                'parent_id'        => '0',
                'name'             => 'Property',
                'slug'             => 'property',
                'description'      => null,
                'picture'          => 'fa-home.png',
                'css_class'        => 'icon-home',
                'lft'              => '4',
                'rgt'              => '5',
                'depth'            => '1',
                'type'             => null,
                'active'           => '1',
            ),
            468 => array(
                'id'               => '469',
                'translation_lang' => 'pt',
                'translation_of'   => '10',
                'parent_id'        => '9',
                'name'             => 'Commercial Property - Offices - Premises',
                'slug'             => 'commercial-property-offices-premises',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            469 => array(
                'id'               => '470',
                'translation_lang' => 'pt',
                'translation_of'   => '11',
                'parent_id'        => '9',
                'name'             => 'I\'m looking for',
                'slug'             => 'im-looking-for',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            470 => array(
                'id'               => '471',
                'translation_lang' => 'pt',
                'translation_of'   => '12',
                'parent_id'        => '9',
                'name'             => 'Roomates',
                'slug'             => 'roomates',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            471 => array(
                'id'               => '472',
                'translation_lang' => 'pt',
                'translation_of'   => '13',
                'parent_id'        => '9',
                'name'             => 'Accommodation and Hotels',
                'slug'             => 'accommodation-and-hotels',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            472 => array(
                'id'               => '473',
                'translation_lang' => 'pt',
                'translation_of'   => '14',
                'parent_id'        => '9',
                'name'             => 'Vacation Rental',
                'slug'             => 'vacation-rental',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            473 => array(
                'id'               => '474',
                'translation_lang' => 'pt',
                'translation_of'   => '15',
                'parent_id'        => '9',
                'name'             => 'Garage, Parking, Farms',
                'slug'             => 'garage-parking-farms',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            474 => array(
                'id'               => '475',
                'translation_lang' => 'pt',
                'translation_of'   => '16',
                'parent_id'        => '9',
                'name'             => 'Real Estate Services',
                'slug'             => 'real-estate-services',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            475 => array(
                'id'               => '476',
                'translation_lang' => 'pt',
                'translation_of'   => '17',
                'parent_id'        => '9',
                'name'             => 'Rooms - Studio for Rent',
                'slug'             => 'rooms-studio-for-rent',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            476 => array(
                'id'               => '477',
                'translation_lang' => 'pt',
                'translation_of'   => '18',
                'parent_id'        => '9',
                'name'             => 'Land for Sale, Rent',
                'slug'             => 'land-for-sale-rent',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            477 => array(
                'id'               => '478',
                'translation_lang' => 'pt',
                'translation_of'   => '19',
                'parent_id'        => '9',
                'name'             => 'Property for sale',
                'slug'             => 'property-for-sale',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            478 => array(
                'id'               => '479',
                'translation_lang' => 'pt',
                'translation_of'   => '20',
                'parent_id'        => '9',
                'name'             => 'Rentals',
                'slug'             => 'rentals',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            479 => array(
                'id'               => '480',
                'translation_lang' => 'pt',
                'translation_of'   => '21',
                'parent_id'        => '0',
                'name'             => 'Services',
                'slug'             => 'services',
                'description'      => null,
                'picture'          => 'ion-clipboard.png',
                'css_class'        => 'fa fa-briefcase',
                'lft'              => '10',
                'rgt'              => '11',
                'depth'            => '1',
                'type'             => 'service',
                'active'           => '1',
            ),
            480 => array(
                'id'               => '481',
                'translation_lang' => 'pt',
                'translation_of'   => '22',
                'parent_id'        => '21',
                'name'             => 'Other services',
                'slug'             => 'other-services',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            481 => array(
                'id'               => '482',
                'translation_lang' => 'pt',
                'translation_of'   => '23',
                'parent_id'        => '21',
                'name'             => 'Casting, Model, Photographer',
                'slug'             => 'casting-model-photographer',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            482 => array(
                'id'               => '483',
                'translation_lang' => 'pt',
                'translation_of'   => '24',
                'parent_id'        => '21',
                'name'             => 'Carpooling',
                'slug'             => 'carpooling',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            483 => array(
                'id'               => '484',
                'translation_lang' => 'pt',
                'translation_of'   => '25',
                'parent_id'        => '21',
                'name'             => 'Moving, Furniture Guard',
                'slug'             => 'moving-furniture-guard',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            484 => array(
                'id'               => '485',
                'translation_lang' => 'pt',
                'translation_of'   => '26',
                'parent_id'        => '21',
                'name'             => 'Destocking - Commercial',
                'slug'             => 'destocking-commercial',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            485 => array(
                'id'               => '486',
                'translation_lang' => 'pt',
                'translation_of'   => '27',
                'parent_id'        => '21',
                'name'             => 'Industrial Equipment',
                'slug'             => 'industrial-equipment',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            486 => array(
                'id'               => '487',
                'translation_lang' => 'pt',
                'translation_of'   => '28',
                'parent_id'        => '21',
                'name'             => 'Aesthetics, Hairstyling',
                'slug'             => 'aesthetics-hairstyling',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            487 => array(
                'id'               => '488',
                'translation_lang' => 'pt',
                'translation_of'   => '29',
                'parent_id'        => '21',
                'name'             => 'Horoscope - Tarot - Healers - Spell',
                'slug'             => 'horoscope-tarot-healers-spell',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            488 => array(
                'id'               => '489',
                'translation_lang' => 'pt',
                'translation_of'   => '30',
                'parent_id'        => '21',
                'name'             => 'Materials and Equipment Pro',
                'slug'             => 'materials-and-equipment-pro',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            489 => array(
                'id'               => '490',
                'translation_lang' => 'pt',
                'translation_of'   => '31',
                'parent_id'        => '21',
                'name'             => 'Event Organization Services',
                'slug'             => 'event-organization-services',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            490 => array(
                'id'               => '491',
                'translation_lang' => 'pt',
                'translation_of'   => '32',
                'parent_id'        => '21',
                'name'             => 'Service Provision',
                'slug'             => 'service-provision',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            491 => array(
                'id'               => '492',
                'translation_lang' => 'pt',
                'translation_of'   => '33',
                'parent_id'        => '21',
                'name'             => 'Health, Beauty',
                'slug'             => 'health-beauty',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            492 => array(
                'id'               => '493',
                'translation_lang' => 'pt',
                'translation_of'   => '34',
                'parent_id'        => '21',
                'name'             => 'Artisan, Troubleshooting, Handyman',
                'slug'             => 'artisan-troubleshooting-handyman',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            493 => array(
                'id'               => '494',
                'translation_lang' => 'pt',
                'translation_of'   => '35',
                'parent_id'        => '21',
                'name'             => 'Computing Services',
                'slug'             => 'computing-services',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            494 => array(
                'id'               => '495',
                'translation_lang' => 'pt',
                'translation_of'   => '36',
                'parent_id'        => '21',
                'name'             => 'Tourism and Travel Services',
                'slug'             => 'tourism-and-travel-services',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            495 => array(
                'id'               => '496',
                'translation_lang' => 'pt',
                'translation_of'   => '37',
                'parent_id'        => '21',
                'name'             => 'Translation, Writing',
                'slug'             => 'translation-writing',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            496 => array(
                'id'               => '497',
                'translation_lang' => 'pt',
                'translation_of'   => '38',
                'parent_id'        => '21',
                'name'             => 'Construction - Renovation - Carpentry',
                'slug'             => 'construction-renovation-carpentry',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            497 => array(
                'id'               => '498',
                'translation_lang' => 'pt',
                'translation_of'   => '39',
                'parent_id'        => '0',
                'name'             => 'Community',
                'slug'             => 'community',
                'description'      => null,
                'picture'          => 'fa-users.png',
                'css_class'        => 'icon-theatre',
                'lft'              => '20',
                'rgt'              => '21',
                'depth'            => '1',
                'type'             => null,
                'active'           => '1',
            ),
            498 => array(
                'id'               => '499',
                'translation_lang' => 'pt',
                'translation_of'   => '40',
                'parent_id'        => '39',
                'name'             => 'Sporting goods, Exercise',
                'slug'             => 'sporting-goods-exercise',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            499 => array(
                'id'               => '500',
                'translation_lang' => 'pt',
                'translation_of'   => '41',
                'parent_id'        => '39',
                'name'             => 'Artists, Musicians',
                'slug'             => 'artists-musicians',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
        ));
        \DB::table('categories')->insert(array(
            0   => array(
                'id'               => '501',
                'translation_lang' => 'pt',
                'translation_of'   => '42',
                'parent_id'        => '39',
                'name'             => 'Associations, Voluntary',
                'slug'             => 'associations-voluntary',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            1   => array(
                'id'               => '502',
                'translation_lang' => 'pt',
                'translation_of'   => '43',
                'parent_id'        => '39',
                'name'             => 'Friendships for Events',
                'slug'             => 'friendships-for-events',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            2   => array(
                'id'               => '503',
                'translation_lang' => 'pt',
                'translation_of'   => '44',
                'parent_id'        => '39',
                'name'             => 'My neighborhood',
                'slug'             => 'my-neighborhood',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            3   => array(
                'id'               => '504',
                'translation_lang' => 'pt',
                'translation_of'   => '45',
                'parent_id'        => '39',
                'name'             => 'Nightlife, Restaurant & Bar',
                'slug'             => 'nightlife-restaurant-bar',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            4   => array(
                'id'               => '505',
                'translation_lang' => 'pt',
                'translation_of'   => '46',
                'parent_id'        => '39',
                'name'             => 'Outings, Entertainment',
                'slug'             => 'outings-entertainment',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            5   => array(
                'id'               => '506',
                'translation_lang' => 'pt',
                'translation_of'   => '47',
                'parent_id'        => '0',
                'name'             => 'Multimedia',
                'slug'             => 'multimedia',
                'description'      => null,
                'picture'          => 'fa-laptop.png',
                'css_class'        => 'icon-laptop',
                'lft'              => '2',
                'rgt'              => '3',
                'depth'            => '1',
                'type'             => null,
                'active'           => '1',
            ),
            6   => array(
                'id'               => '507',
                'translation_lang' => 'pt',
                'translation_of'   => '48',
                'parent_id'        => '47',
                'name'             => 'Multimedia & Phones Accessories',
                'slug'             => 'multimedia-phones-accessories',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            7   => array(
                'id'               => '508',
                'translation_lang' => 'pt',
                'translation_of'   => '49',
                'parent_id'        => '47',
                'name'             => 'CD/DVD - Books - Movies',
                'slug'             => 'cddvd-books-movies',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            8   => array(
                'id'               => '509',
                'translation_lang' => 'pt',
                'translation_of'   => '50',
                'parent_id'        => '47',
                'name'             => 'Consoles - Video Games',
                'slug'             => 'consoles-video-games',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            9   => array(
                'id'               => '510',
                'translation_lang' => 'pt',
                'translation_of'   => '51',
                'parent_id'        => '47',
                'name'             => 'Computers - PC - Office Supplies',
                'slug'             => 'computers-pc-office-supplies',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            10  => array(
                'id'               => '511',
                'translation_lang' => 'pt',
                'translation_of'   => '52',
                'parent_id'        => '47',
                'name'             => 'Wanted',
                'slug'             => 'wanted',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            11  => array(
                'id'               => '512',
                'translation_lang' => 'pt',
                'translation_of'   => '53',
                'parent_id'        => '47',
                'name'             => 'Tablets - Touchscreens',
                'slug'             => 'tablets-touchscreens',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            12  => array(
                'id'               => '513',
                'translation_lang' => 'pt',
                'translation_of'   => '54',
                'parent_id'        => '47',
                'name'             => 'Mobiles phones - Smartphones',
                'slug'             => 'mobiles-phones-smartphones',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            13  => array(
                'id'               => '514',
                'translation_lang' => 'pt',
                'translation_of'   => '55',
                'parent_id'        => '47',
                'name'             => 'TV - Images - Sound',
                'slug'             => 'tv-images-sound',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            14  => array(
                'id'               => '515',
                'translation_lang' => 'pt',
                'translation_of'   => '56',
                'parent_id'        => '47',
                'name'             => 'Clearance - Commercial',
                'slug'             => 'clearance-commercial',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            15  => array(
                'id'               => '516',
                'translation_lang' => 'pt',
                'translation_of'   => '57',
                'parent_id'        => '47',
                'name'             => 'Industrial Equipment',
                'slug'             => 'industrial-equipment',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            16  => array(
                'id'               => '517',
                'translation_lang' => 'pt',
                'translation_of'   => '58',
                'parent_id'        => '47',
                'name'             => 'Materials & Professional equipment',
                'slug'             => 'materials-professional-equipment',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            17  => array(
                'id'               => '518',
                'translation_lang' => 'pt',
                'translation_of'   => '59',
                'parent_id'        => '0',
                'name'             => 'Fashion, Home & Garden',
                'slug'             => 'fashion-home-garden',
                'description'      => null,
                'picture'          => 'fa-home.png',
                'css_class'        => 'icon-basket-1',
                'lft'              => '6',
                'rgt'              => '7',
                'depth'            => '1',
                'type'             => null,
                'active'           => '1',
            ),
            18  => array(
                'id'               => '519',
                'translation_lang' => 'pt',
                'translation_of'   => '60',
                'parent_id'        => '59',
                'name'             => 'Furniture - Tableware',
                'slug'             => 'furniture-tableware',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            19  => array(
                'id'               => '520',
                'translation_lang' => 'pt',
                'translation_of'   => '61',
                'parent_id'        => '59',
                'name'             => 'Antiques - Art - Decoration',
                'slug'             => 'antiques-art-decoration',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            20  => array(
                'id'               => '521',
                'translation_lang' => 'pt',
                'translation_of'   => '62',
                'parent_id'        => '59',
                'name'             => 'Appliances',
                'slug'             => 'appliances',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            21  => array(
                'id'               => '522',
                'translation_lang' => 'pt',
                'translation_of'   => '63',
                'parent_id'        => '59',
                'name'             => 'Jewelry - Watches - Luggage',
                'slug'             => 'jewelry-watches-luggage',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            22  => array(
                'id'               => '523',
                'translation_lang' => 'pt',
                'translation_of'   => '64',
                'parent_id'        => '59',
                'name'             => 'DIY - Gardening',
                'slug'             => 'diy-gardening',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            23  => array(
                'id'               => '524',
                'translation_lang' => 'pt',
                'translation_of'   => '65',
                'parent_id'        => '59',
                'name'             => 'Various flea markets',
                'slug'             => 'various-flea-markets',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            24  => array(
                'id'               => '525',
                'translation_lang' => 'pt',
                'translation_of'   => '66',
                'parent_id'        => '59',
                'name'             => 'Shoes',
                'slug'             => 'shoes',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            25  => array(
                'id'               => '526',
                'translation_lang' => 'pt',
                'translation_of'   => '67',
                'parent_id'        => '59',
                'name'             => 'Toys - Games - Figurines',
                'slug'             => 'toys-games-figurines',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            26  => array(
                'id'               => '527',
                'translation_lang' => 'pt',
                'translation_of'   => '68',
                'parent_id'        => '59',
                'name'             => 'Clothing, Fashion & Accessories',
                'slug'             => 'clothing-fashion-accessories',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            27  => array(
                'id'               => '528',
                'translation_lang' => 'pt',
                'translation_of'   => '69',
                'parent_id'        => '59',
                'name'             => 'Stuffs for Baby and Child',
                'slug'             => 'stuffs-for-baby-and-child',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            28  => array(
                'id'               => '529',
                'translation_lang' => 'pt',
                'translation_of'   => '70',
                'parent_id'        => '59',
                'name'             => 'Stuffs for Beauty and Health',
                'slug'             => 'stuffs-for-beauty-and-health',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            29  => array(
                'id'               => '530',
                'translation_lang' => 'pt',
                'translation_of'   => '71',
                'parent_id'        => '59',
                'name'             => 'Wine & Gourmet - Recipes',
                'slug'             => 'wine-gourmet-recipes',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            30  => array(
                'id'               => '531',
                'translation_lang' => 'pt',
                'translation_of'   => '72',
                'parent_id'        => '0',
                'name'             => 'Pets & Mascots',
                'slug'             => 'pets-mascots',
                'description'      => null,
                'picture'          => 'map-icon-pet-store.png',
                'css_class'        => 'icon-guidedog',
                'lft'              => '22',
                'rgt'              => '23',
                'depth'            => '1',
                'type'             => null,
                'active'           => '1',
            ),
            31  => array(
                'id'               => '532',
                'translation_lang' => 'pt',
                'translation_of'   => '73',
                'parent_id'        => '72',
                'name'             => 'Accessories - Other Pets services',
                'slug'             => 'accessories-other-pets-services',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            32  => array(
                'id'               => '533',
                'translation_lang' => 'pt',
                'translation_of'   => '74',
                'parent_id'        => '72',
                'name'             => 'Sales, Adoptions, Lost',
                'slug'             => 'sales-adoptions-lost',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            33  => array(
                'id'               => '534',
                'translation_lang' => 'pt',
                'translation_of'   => '75',
                'parent_id'        => '0',
                'name'             => 'Free Dating',
                'slug'             => 'free-dating',
                'description'      => null,
                'picture'          => 'ion-ios-heart.png',
                'css_class'        => 'icon-heart',
                'lft'              => '24',
                'rgt'              => '25',
                'depth'            => '1',
                'type'             => null,
                'active'           => '1',
            ),
            34  => array(
                'id'               => '535',
                'translation_lang' => 'pt',
                'translation_of'   => '76',
                'parent_id'        => '75',
                'name'             => 'Friendship - Friends',
                'slug'             => 'friendship-friends',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            35  => array(
                'id'               => '536',
                'translation_lang' => 'pt',
                'translation_of'   => '77',
                'parent_id'        => '75',
                'name'             => 'Escorts - Adult Services',
                'slug'             => 'escorts-adult-services',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            36  => array(
                'id'               => '537',
                'translation_lang' => 'pt',
                'translation_of'   => '78',
                'parent_id'        => '75',
                'name'             => 'Women Seeking Women',
                'slug'             => 'women-seeking-women',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            37  => array(
                'id'               => '538',
                'translation_lang' => 'pt',
                'translation_of'   => '79',
                'parent_id'        => '75',
                'name'             => 'Women Seeking Men',
                'slug'             => 'women-seeking-men',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            38  => array(
                'id'               => '539',
                'translation_lang' => 'pt',
                'translation_of'   => '80',
                'parent_id'        => '75',
                'name'             => 'Men Seeking Women',
                'slug'             => 'men-seeking-women',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            39  => array(
                'id'               => '540',
                'translation_lang' => 'pt',
                'translation_of'   => '81',
                'parent_id'        => '75',
                'name'             => 'Men Seeking Men',
                'slug'             => 'men-seeking-men',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            40  => array(
                'id'               => '541',
                'translation_lang' => 'pt',
                'translation_of'   => '82',
                'parent_id'        => '75',
                'name'             => 'Massage Services - Relaxation',
                'slug'             => 'massage-services-relaxation',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            41  => array(
                'id'               => '542',
                'translation_lang' => 'pt',
                'translation_of'   => '83',
                'parent_id'        => '75',
                'name'             => 'Adults Products - Articles',
                'slug'             => 'adults-products-articles',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            42  => array(
                'id'               => '543',
                'translation_lang' => 'pt',
                'translation_of'   => '84',
                'parent_id'        => '75',
                'name'             => 'Casual Encounter',
                'slug'             => 'casual-encounter',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            43  => array(
                'id'               => '544',
                'translation_lang' => 'pt',
                'translation_of'   => '85',
                'parent_id'        => '0',
                'name'             => 'Jobs Offers',
                'slug'             => 'jobs-offers',
                'description'      => null,
                'picture'          => 'mfglabs-users.png',
                'css_class'        => 'icon-megaphone-1',
                'lft'              => '14',
                'rgt'              => '15',
                'depth'            => '1',
                'type'             => 'job-offer',
                'active'           => '1',
            ),
            44  => array(
                'id'               => '545',
                'translation_lang' => 'pt',
                'translation_of'   => '86',
                'parent_id'        => '85',
                'name'             => 'Agriculture - Environment',
                'slug'             => 'agriculture-environment',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            45  => array(
                'id'               => '546',
                'translation_lang' => 'pt',
                'translation_of'   => '87',
                'parent_id'        => '85',
                'name'             => 'Assistantship - Secretariat - Helpdesk',
                'slug'             => 'assistantship-secretariat-helpdesk',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            46  => array(
                'id'               => '547',
                'translation_lang' => 'pt',
                'translation_of'   => '88',
                'parent_id'        => '85',
                'name'             => 'Automotive - Mechanic',
                'slug'             => 'automotive-mechanic',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            47  => array(
                'id'               => '548',
                'translation_lang' => 'pt',
                'translation_of'   => '89',
                'parent_id'        => '85',
                'name'             => 'Others Jobs Offer',
                'slug'             => 'others-jobs-offer',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            48  => array(
                'id'               => '549',
                'translation_lang' => 'pt',
                'translation_of'   => '90',
                'parent_id'        => '85',
                'name'             => 'BTP - Construction - Building',
                'slug'             => 'btp-construction-building',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            49  => array(
                'id'               => '550',
                'translation_lang' => 'pt',
                'translation_of'   => '91',
                'parent_id'        => '85',
                'name'             => 'Trade - Business Services',
                'slug'             => 'trade-business-services',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            50  => array(
                'id'               => '551',
                'translation_lang' => 'pt',
                'translation_of'   => '92',
                'parent_id'        => '85',
                'name'             => 'Commercial - Sale Jobs Offer',
                'slug'             => 'commercial-sale-jobs-offer',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            51  => array(
                'id'               => '552',
                'translation_lang' => 'pt',
                'translation_of'   => '93',
                'parent_id'        => '85',
                'name'             => 'Accounting - Management - Finance',
                'slug'             => 'accounting-management-finance',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            52  => array(
                'id'               => '553',
                'translation_lang' => 'pt',
                'translation_of'   => '94',
                'parent_id'        => '85',
                'name'             => 'Steering - Manager',
                'slug'             => 'steering-manager',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            53  => array(
                'id'               => '554',
                'translation_lang' => 'pt',
                'translation_of'   => '95',
                'parent_id'        => '85',
                'name'             => 'Aesthetics - Hair - Beauty',
                'slug'             => 'aesthetics-hair-beauty',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            54  => array(
                'id'               => '555',
                'translation_lang' => 'pt',
                'translation_of'   => '96',
                'parent_id'        => '85',
                'name'             => 'Public Service Jobs Offer',
                'slug'             => 'public-service-jobs-offer',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            55  => array(
                'id'               => '556',
                'translation_lang' => 'pt',
                'translation_of'   => '97',
                'parent_id'        => '85',
                'name'             => 'Real Estate Jobs Offer',
                'slug'             => 'real-estate-jobs-offer',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            56  => array(
                'id'               => '557',
                'translation_lang' => 'pt',
                'translation_of'   => '98',
                'parent_id'        => '85',
                'name'             => 'Independent - Freelance - Telecommuting',
                'slug'             => 'independent-freelance-telecommuting',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            57  => array(
                'id'               => '558',
                'translation_lang' => 'pt',
                'translation_of'   => '99',
                'parent_id'        => '85',
                'name'             => 'Computers - Internet - Telecommunications',
                'slug'             => 'computers-internet-telecommunications',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            58  => array(
                'id'               => '559',
                'translation_lang' => 'pt',
                'translation_of'   => '100',
                'parent_id'        => '85',
                'name'             => 'Industry, Production & engineering',
                'slug'             => 'industry-production-engineering',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            59  => array(
                'id'               => '560',
                'translation_lang' => 'pt',
                'translation_of'   => '101',
                'parent_id'        => '85',
                'name'             => 'Marketing - Communication',
                'slug'             => 'marketing-communication',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            60  => array(
                'id'               => '561',
                'translation_lang' => 'pt',
                'translation_of'   => '102',
                'parent_id'        => '85',
                'name'             => 'Babysitting - Nanny Work',
                'slug'             => 'babysitting-nanny-work',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            61  => array(
                'id'               => '562',
                'translation_lang' => 'pt',
                'translation_of'   => '103',
                'parent_id'        => '85',
                'name'             => 'HR - Training - Education',
                'slug'             => 'hr-training-education',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            62  => array(
                'id'               => '563',
                'translation_lang' => 'pt',
                'translation_of'   => '104',
                'parent_id'        => '85',
                'name'             => 'Medical - Healthcare - Social',
                'slug'             => 'medical-healthcare-social',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            63  => array(
                'id'               => '564',
                'translation_lang' => 'pt',
                'translation_of'   => '105',
                'parent_id'        => '85',
                'name'             => 'Security - Guarding',
                'slug'             => 'security-guarding',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            64  => array(
                'id'               => '565',
                'translation_lang' => 'pt',
                'translation_of'   => '106',
                'parent_id'        => '85',
                'name'             => 'Household Services - Housekeeping',
                'slug'             => 'household-services-housekeeping',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            65  => array(
                'id'               => '566',
                'translation_lang' => 'pt',
                'translation_of'   => '107',
                'parent_id'        => '85',
                'name'             => 'Tourism - Hotels - Restaurants - Leisure',
                'slug'             => 'tourism-hotels-restaurants-leisure',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            66  => array(
                'id'               => '567',
                'translation_lang' => 'pt',
                'translation_of'   => '108',
                'parent_id'        => '85',
                'name'             => 'Transportation - Logistics',
                'slug'             => 'transportation-logistics',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            67  => array(
                'id'               => '568',
                'translation_lang' => 'pt',
                'translation_of'   => '109',
                'parent_id'        => '0',
                'name'             => 'Job Search',
                'slug'             => 'job-search',
                'description'      => null,
                'picture'          => 'fa-search.png',
                'css_class'        => 'icon-search',
                'lft'              => '12',
                'rgt'              => '13',
                'depth'            => '1',
                'type'             => 'job-search',
                'active'           => '1',
            ),
            68  => array(
                'id'               => '569',
                'translation_lang' => 'pt',
                'translation_of'   => '110',
                'parent_id'        => '109',
                'name'             => 'Agriculture - Environment',
                'slug'             => 'agriculture-environment',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            69  => array(
                'id'               => '570',
                'translation_lang' => 'pt',
                'translation_of'   => '111',
                'parent_id'        => '109',
                'name'             => 'Assistantship - Secretariat - Helpdesk',
                'slug'             => 'assistantship-secretariat-helpdesk',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            70  => array(
                'id'               => '571',
                'translation_lang' => 'pt',
                'translation_of'   => '112',
                'parent_id'        => '109',
                'name'             => 'Automotive - Mechanic',
                'slug'             => 'automotive-mechanic',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            71  => array(
                'id'               => '572',
                'translation_lang' => 'pt',
                'translation_of'   => '113',
                'parent_id'        => '109',
                'name'             => 'Others Jobs Search',
                'slug'             => 'others-jobs-search',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            72  => array(
                'id'               => '573',
                'translation_lang' => 'pt',
                'translation_of'   => '114',
                'parent_id'        => '109',
                'name'             => 'BTP - Construction - Building',
                'slug'             => 'btp-construction-building',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            73  => array(
                'id'               => '574',
                'translation_lang' => 'pt',
                'translation_of'   => '115',
                'parent_id'        => '109',
                'name'             => 'Trade - Business Services',
                'slug'             => 'trade-business-services',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            74  => array(
                'id'               => '575',
                'translation_lang' => 'pt',
                'translation_of'   => '116',
                'parent_id'        => '109',
                'name'             => 'Commercial - Sale Jobs Search',
                'slug'             => 'commercial-sale-jobs-search',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            75  => array(
                'id'               => '576',
                'translation_lang' => 'pt',
                'translation_of'   => '117',
                'parent_id'        => '109',
                'name'             => 'Accounting - Management - Finance',
                'slug'             => 'accounting-management-finance',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            76  => array(
                'id'               => '577',
                'translation_lang' => 'pt',
                'translation_of'   => '118',
                'parent_id'        => '109',
                'name'             => 'Steering - Manager',
                'slug'             => 'steering-manager',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            77  => array(
                'id'               => '578',
                'translation_lang' => 'pt',
                'translation_of'   => '119',
                'parent_id'        => '109',
                'name'             => 'Aesthetics - Hair - Beauty',
                'slug'             => 'aesthetics-hair-beauty',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            78  => array(
                'id'               => '579',
                'translation_lang' => 'pt',
                'translation_of'   => '120',
                'parent_id'        => '109',
                'name'             => 'Public Service Jobs Search',
                'slug'             => 'public-service-jobs-search',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            79  => array(
                'id'               => '580',
                'translation_lang' => 'pt',
                'translation_of'   => '121',
                'parent_id'        => '109',
                'name'             => 'Real Estate Jobs Search',
                'slug'             => 'real-estate-jobs-search',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            80  => array(
                'id'               => '581',
                'translation_lang' => 'pt',
                'translation_of'   => '122',
                'parent_id'        => '109',
                'name'             => 'Independent - Freelance - Telecommuting',
                'slug'             => 'independent-freelance-telecommuting',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            81  => array(
                'id'               => '582',
                'translation_lang' => 'pt',
                'translation_of'   => '123',
                'parent_id'        => '109',
                'name'             => 'Computers - Internet - Telecommunications',
                'slug'             => 'computers-internet-telecommunications',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            82  => array(
                'id'               => '583',
                'translation_lang' => 'pt',
                'translation_of'   => '124',
                'parent_id'        => '109',
                'name'             => 'Industry, Production & engineering',
                'slug'             => 'industry-production-engineering',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            83  => array(
                'id'               => '584',
                'translation_lang' => 'pt',
                'translation_of'   => '125',
                'parent_id'        => '109',
                'name'             => 'Marketing - Communication',
                'slug'             => 'marketing-communication',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            84  => array(
                'id'               => '585',
                'translation_lang' => 'pt',
                'translation_of'   => '126',
                'parent_id'        => '109',
                'name'             => 'Babysitting - Nanny Work',
                'slug'             => 'babysitting-nanny-work',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            85  => array(
                'id'               => '586',
                'translation_lang' => 'pt',
                'translation_of'   => '127',
                'parent_id'        => '109',
                'name'             => 'HR - Training - Education',
                'slug'             => 'hr-training-education',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            86  => array(
                'id'               => '587',
                'translation_lang' => 'pt',
                'translation_of'   => '128',
                'parent_id'        => '109',
                'name'             => 'Medical - Healthcare - Social',
                'slug'             => 'medical-healthcare-social',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            87  => array(
                'id'               => '588',
                'translation_lang' => 'pt',
                'translation_of'   => '129',
                'parent_id'        => '109',
                'name'             => 'Security - Guarding',
                'slug'             => 'security-guarding',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            88  => array(
                'id'               => '589',
                'translation_lang' => 'pt',
                'translation_of'   => '130',
                'parent_id'        => '109',
                'name'             => 'Household Services - Housekeeping',
                'slug'             => 'household-services-housekeeping',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            89  => array(
                'id'               => '590',
                'translation_lang' => 'pt',
                'translation_of'   => '131',
                'parent_id'        => '109',
                'name'             => 'Tourism - Hotels - Restaurants - Leisure',
                'slug'             => 'tourism-hotels-restaurants-leisure',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            90  => array(
                'id'               => '591',
                'translation_lang' => 'pt',
                'translation_of'   => '132',
                'parent_id'        => '109',
                'name'             => 'Transportation - Logistics',
                'slug'             => 'transportation-logistics',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            91  => array(
                'id'               => '592',
                'translation_lang' => 'pt',
                'translation_of'   => '133',
                'parent_id'        => '0',
                'name'             => 'Learning',
                'slug'             => 'learning',
                'description'      => null,
                'picture'          => 'fa-graduation-cap.png',
                'css_class'        => 'icon-book-open',
                'lft'              => '18',
                'rgt'              => '19',
                'depth'            => '1',
                'type'             => null,
                'active'           => '1',
            ),
            92  => array(
                'id'               => '593',
                'translation_lang' => 'pt',
                'translation_of'   => '134',
                'parent_id'        => '133',
                'name'             => 'Language Classes',
                'slug'             => 'language-classes',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            93  => array(
                'id'               => '594',
                'translation_lang' => 'pt',
                'translation_of'   => '135',
                'parent_id'        => '133',
                'name'             => 'Computer Courses',
                'slug'             => 'computer-courses',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            94  => array(
                'id'               => '595',
                'translation_lang' => 'pt',
                'translation_of'   => '136',
                'parent_id'        => '133',
                'name'             => 'Tutoring, Private Lessons',
                'slug'             => 'tutoring-private-lessons',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            95  => array(
                'id'               => '596',
                'translation_lang' => 'pt',
                'translation_of'   => '137',
                'parent_id'        => '133',
                'name'             => 'Vocational Training',
                'slug'             => 'vocational-training',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            96  => array(
                'id'               => '597',
                'translation_lang' => 'pt',
                'translation_of'   => '138',
                'parent_id'        => '133',
                'name'             => 'Maths, Physics, Chemistry',
                'slug'             => 'maths-physics-chemistry',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            97  => array(
                'id'               => '598',
                'translation_lang' => 'pt',
                'translation_of'   => '139',
                'parent_id'        => '133',
                'name'             => 'Music, Theatre, Dance',
                'slug'             => 'music-theatre-dance',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            98  => array(
                'id'               => '599',
                'translation_lang' => 'pt',
                'translation_of'   => '140',
                'parent_id'        => '133',
                'name'             => 'School support',
                'slug'             => 'school-support',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            99  => array(
                'id'               => '600',
                'translation_lang' => 'pt',
                'translation_of'   => '141',
                'parent_id'        => '0',
                'name'             => 'Local Events',
                'slug'             => 'local-events',
                'description'      => null,
                'picture'          => 'fa-calendar.png',
                'css_class'        => 'icon-megaphone-1',
                'lft'              => '16',
                'rgt'              => '17',
                'depth'            => '1',
                'type'             => null,
                'active'           => '1',
            ),
            100 => array(
                'id'               => '601',
                'translation_lang' => 'pt',
                'translation_of'   => '142',
                'parent_id'        => '141',
                'name'             => 'Concerts & Festivals',
                'slug'             => 'concerts-festivals',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            101 => array(
                'id'               => '602',
                'translation_lang' => 'pt',
                'translation_of'   => '143',
                'parent_id'        => '141',
                'name'             => 'Networking & Meetups',
                'slug'             => 'networking-meetups',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            102 => array(
                'id'               => '603',
                'translation_lang' => 'pt',
                'translation_of'   => '144',
                'parent_id'        => '141',
                'name'             => 'Sports & Outdoors',
                'slug'             => 'sports-outdoors',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            103 => array(
                'id'               => '604',
                'translation_lang' => 'pt',
                'translation_of'   => '145',
                'parent_id'        => '141',
                'name'             => 'Trade Shows & Conventions',
                'slug'             => 'trade-shows-conventions',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            104 => array(
                'id'               => '605',
                'translation_lang' => 'pt',
                'translation_of'   => '146',
                'parent_id'        => '141',
                'name'             => 'Training & Seminars',
                'slug'             => 'training-seminars',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            105 => array(
                'id'               => '606',
                'translation_lang' => 'pt',
                'translation_of'   => '147',
                'parent_id'        => '141',
                'name'             => 'Ceremonies',
                'slug'             => 'ceremonies',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            106 => array(
                'id'               => '607',
                'translation_lang' => 'pt',
                'translation_of'   => '148',
                'parent_id'        => '141',
                'name'             => 'Conferences',
                'slug'             => 'conferences',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            107 => array(
                'id'               => '608',
                'translation_lang' => 'pt',
                'translation_of'   => '149',
                'parent_id'        => '141',
                'name'             => 'Weddings',
                'slug'             => 'weddings',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            108 => array(
                'id'               => '609',
                'translation_lang' => 'pt',
                'translation_of'   => '150',
                'parent_id'        => '141',
                'name'             => 'Birthdays',
                'slug'             => 'birthdays',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            109 => array(
                'id'               => '610',
                'translation_lang' => 'pt',
                'translation_of'   => '151',
                'parent_id'        => '141',
                'name'             => 'Family Events',
                'slug'             => 'family-events',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            110 => array(
                'id'               => '611',
                'translation_lang' => 'pt',
                'translation_of'   => '152',
                'parent_id'        => '141',
                'name'             => 'Nightlife',
                'slug'             => 'nightlife',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
            111 => array(
                'id'               => '612',
                'translation_lang' => 'pt',
                'translation_of'   => '153',
                'parent_id'        => '141',
                'name'             => 'All others events',
                'slug'             => 'all-others-events',
                'description'      => null,
                'picture'          => null,
                'css_class'        => null,
                'lft'              => null,
                'rgt'              => null,
                'depth'            => null,
                'type'             => null,
                'active'           => '1',
            ),
        ));
    }
}
